package models_table

import (
	"time"
)

type CrmAccount struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	BuyerId   int    `xorm:"not null INT(10)"`
	OrderBy   string `xorm:"not null default '' VARCHAR(64)"`
	Str0      string `xorm:"VARCHAR(64)"`
	Str1      string `xorm:"VARCHAR(64)"`
	Str2      string `xorm:"VARCHAR(64)"`
	Str3      string `xorm:"VARCHAR(64)"`
	Str4      string `xorm:"VARCHAR(64)"`
	Str5      string `xorm:"VARCHAR(64)"`
	Str6      string `xorm:"VARCHAR(64)"`
	Str7      string `xorm:"VARCHAR(64)"`
	Str8      string `xorm:"VARCHAR(64)"`
	Str9      string `xorm:"VARCHAR(64)"`
	Rng0      string `xorm:"VARCHAR(64)"`
	Rng1      string `xorm:"VARCHAR(64)"`
	Rng2      string `xorm:"VARCHAR(64)"`
	Rng3      string `xorm:"VARCHAR(64)"`
	Rng4      string `xorm:"VARCHAR(64)"`
	Rng5      string `xorm:"VARCHAR(64)"`
	Rng6      string `xorm:"VARCHAR(64)"`
	Rng7      string `xorm:"VARCHAR(64)"`
	Rng8      string `xorm:"VARCHAR(64)"`
	Rng9      string `xorm:"VARCHAR(64)"`
	Dec0      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec1      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec2      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec3      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec4      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec5      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec6      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec7      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec8      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec9      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Chk0Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk0Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk0Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk0Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk0Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt4  string `xorm:"default '0' CHAR(1)"`
}

type CrmAccountItem struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	AccountId int    `xorm:"not null INT(10)"`
	OrderBy   string `xorm:"default '' VARCHAR(64)"`
	Str0      string `xorm:"VARCHAR(64)"`
	Str1      string `xorm:"VARCHAR(64)"`
	Str2      string `xorm:"VARCHAR(64)"`
	Str3      string `xorm:"VARCHAR(64)"`
	Str4      string `xorm:"VARCHAR(64)"`
	Str5      string `xorm:"VARCHAR(64)"`
	Str6      string `xorm:"VARCHAR(64)"`
	Str7      string `xorm:"VARCHAR(64)"`
	Str8      string `xorm:"VARCHAR(64)"`
	Str9      string `xorm:"VARCHAR(64)"`
	Rng0      string `xorm:"VARCHAR(64)"`
	Rng1      string `xorm:"VARCHAR(64)"`
	Rng2      string `xorm:"VARCHAR(64)"`
	Rng3      string `xorm:"VARCHAR(64)"`
	Rng4      string `xorm:"VARCHAR(64)"`
	Rng5      string `xorm:"VARCHAR(64)"`
	Rng6      string `xorm:"VARCHAR(64)"`
	Rng7      string `xorm:"VARCHAR(64)"`
	Rng8      string `xorm:"VARCHAR(64)"`
	Rng9      string `xorm:"VARCHAR(64)"`
	Dec0      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec1      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec2      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec3      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec4      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec5      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec6      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec7      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec8      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Dec9      string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Chk0Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk0Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk0Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk0Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk0Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk1Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk2Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk3Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk4Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk5Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk6Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk7Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk8Opt4  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt0  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt1  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt2  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt3  string `xorm:"default '0' CHAR(1)"`
	Chk9Opt4  string `xorm:"default '0' CHAR(1)"`
}

type CrmProject struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	ProjectDate  string `xorm:"not null default '' index CHAR(8)"`
	ProjectNo    string `xorm:"comment('프로젝트번호:자동채번') unique VARCHAR(21)"`
	ProjectName  string `xorm:"not null comment('프로젝트명') VARCHAR(128)"`
	ContractAmt  string `xorm:"not null default 0.0000 comment('계약금액') DECIMAL(20,4)"`
	PreCostAmt   string `xorm:"not null default 0.0000 comment('예상비용금액') DECIMAL(20,4)"`
	SquoteId     int    `xorm:"comment('연결견적번호') index INT(10)"`
	UserId       int    `xorm:"not null comment('사용자 id:(5)Default') index INT(10)"`
	SgroupId     int    `xorm:"comment('영업구분:안경사') index INT(10)"`
	BranchId     int    `xorm:"comment('지점:본사(1)Default') index INT(10)"`
	BuyerId      int    `xorm:"comment('고객id') index INT(10)"`
	VatRateId    int    `xorm:"comment('부가세율:포함(1)Default,별도(0)') index INT(10)"`
	BuyerContact string `xorm:"comment('고객담당자') VARCHAR(49)"`
	PayTerms     string `xorm:"comment('지불조건') VARCHAR(69)"`
	PayPeriod    string `xorm:"comment('지불기간') VARCHAR(69)"`
	Destination  string `xorm:"comment('도착지역') VARCHAR(69)"`
	Delivery     string `xorm:"comment('납기') VARCHAR(69)"`
	Status       string `xorm:"comment('상황:완료(3)') CHAR(1)"`
	IsClosed     string `xorm:"not null comment('종결처리') CHAR(1)"`
	IsFirstOrder string `xorm:"not null default '0' comment('고객의 첫번째 주문여부') CHAR(1)"`
	Column1      string `xorm:"VARCHAR(69)"`
	Column2      string `xorm:"VARCHAR(69)"`
	Remarks      string `xorm:"TEXT"`
	Json1        string `xorm:"comment('현재 사용하지 않음') TEXT"`
	Json2        string `xorm:"comment('현재 사용하지 않음') TEXT"`
	IsLocked     string `xorm:"not null default '0' comment('정산완료(1)-수정불가') CHAR(1)"`
	Ip           string `xorm:"VARCHAR(20)"`
}

type CrpNetGroup struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	SeqNo      int    `xorm:"default 0 TINYINT(4)"`
	Sort       string `xorm:"default '0' CHAR(1)"`
	NetSymbol  string `xorm:"VARCHAR(20)"`
	NetName    string `xorm:"not null comment('메인넷 이름') VARCHAR(49)"`
	WalletName string `xorm:"not null VARCHAR(49)"`
	IsUnused   string `xorm:"not null default '0' comment('0:사용중, 1:사용않음') CHAR(1)"`
}

type CrpTokenGroup struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	SeqNo        int    `xorm:"default 0 TINYINT(4)"`
	NetGroupId   int    `xorm:"not null default 0 INT(1)"`
	Sort         string `xorm:"default '0' CHAR(1)"`
	TokenSymbol  string `xorm:"VARCHAR(20)"`
	TokenName    string `xorm:"not null VARCHAR(49)"`
	TokenAddr    string `xorm:"comment('토큰 컨트랙트 주소') VARCHAR(42)"`
	UnitPoint    int    `xorm:"not null default 0 comment('적용소숫점') TINYINT(4)"`
	FeePoint     int    `xorm:"not null default 0 comment('GasFee적용 소숫점') TINYINT(4)"`
	DecimalPoint int    `xorm:"not null default 0 comment('유효표시 소숫점') TINYINT(4)"`
	IsCoin       string `xorm:"not null default '0' comment('코인여부') CHAR(1)"`
	IsListed     string `xorm:"not null default '0' comment('상장여부') CHAR(1)"`
	IsInitToken  string `xorm:"not null default '0' comment('초기화 토큰여부') CHAR(1)"`
	IsUnused     string `xorm:"not null default '0' comment('사용 중지') CHAR(1)"`
	MainSwapAddr string `xorm:"comment('스왑지갑 주소') VARCHAR(42)"`
	IsSwapBase   string `xorm:"not null default '0' comment('스왑용 지갑여부') CHAR(1)"`
	IsBlockSwap  string `xorm:"not null default '0' comment('스왑 중지') CHAR(1)"`
	SwapRate     string `xorm:"default 0.00 comment('메인코인과의 스왑비율') DECIMAL(5,2)"`
	CurrKrwPrice string `xorm:"default 0.0000 comment('현재 환율') DECIMAL(20,4)"`
	ChangeRate   string `xorm:"default 0.0000 comment('사용않음 나중에지울것') DECIMAL(7,4)"`
}

type CrpWallet struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	MemberId   int    `xorm:"not null INT(11)"`
	NetGroupId int    `xorm:"not null default 0 INT(11)"`
	WalletAddr string `xorm:"VARCHAR(200)"`
	PkeyEncr   string `xorm:"comment('암호화된 AES PriKey(256bits)') VARCHAR(256)"`
	IsUnused   string `xorm:"default '0' CHAR(1)"`
	Ip         string `xorm:"VARCHAR(20)"`
}

type CrpWalletToken struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	WalletId     int    `xorm:"not null INT(11)"`
	TokenGroupId int    `xorm:"not null INT(11)"`
	Ip           string `xorm:"VARCHAR(20)"`
}

type DbrAccCode struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	AccCode      string `xorm:"not null default '1101' VARCHAR(5)"`
	AccCrDr      string `xorm:"not null default '3' CHAR(1)"`
	AccName      string `xorm:"not null VARCHAR(60)"`
	AccNameRpt   string `xorm:"not null VARCHAR(121)"`
	AccName2     string `xorm:"not null VARCHAR(121)"`
	AccName3     string `xorm:"not null VARCHAR(121)"`
	AccName4     string `xorm:"not null VARCHAR(121)"`
	IsLocked     string `xorm:"not null default '0' CHAR(1)"`
	PlusMinus    string `xorm:"not null default '0' CHAR(1)"`
	IsChung      string `xorm:"not null default '0' CHAR(1)"`
	IsTotalCol   string `xorm:"not null default '0' CHAR(1)"`
	IsImportCost string `xorm:"not null default '0' CHAR(1)"`
	IsAccCompany string `xorm:"not null default '0' CHAR(1)"`
}

type DbrAccSlip struct {
	Id          int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	AccSlipNo   string `xorm:"VARCHAR(21)"`
	SorderId    int    `xorm:"INT(10)"`
	PorderId    int    `xorm:"INT(10)"`
	UserId      int    `xorm:"not null default 0 INT(10)"`
	BranchId    int    `xorm:"not null default 0 INT(10)"`
	SgroupId    int    `xorm:"not null default 0 INT(10)"`
	AccDate     string `xorm:"VARCHAR(8)"`
	CompanyId   int    `xorm:"INT(11)"`
	DealTypeId  int    `xorm:"INT(11)"`
	BillType    string `xorm:"comment('CC:신용카드, CS:현금, GC:쿠폰, UC:적립금사용') CHAR(2)"`
	BillColumn1 string `xorm:"comment('사용카드, 현금영수증, 쿠폰발행, 사용여부') VARCHAR(21)"`
	BillColumn2 string `xorm:"VARCHAR(21)"`
	SlipAmt     string `xorm:"DECIMAL(20,4)"`
	OccurDate   string `xorm:"VARCHAR(8)"`
	Remarks     string `xorm:"MEDIUMTEXT"`
	CardCheckNo string `xorm:"VARCHAR(36)"`
	AutoSlipId  int    `xorm:"not null default 0 INT(10)"`
	AutoSlipAmt string `xorm:"DECIMAL(20,4)"`
	IsFixed     string `xorm:"CHAR(1)"`
	IsApproved  string `xorm:"not null default '0' CHAR(1)"`
	Status      string `xorm:"CHAR(21)"`
	Ip          string `xorm:"VARCHAR(20)"`
}

type DbrAccSlipBd struct {
	Id           int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	AccSlipId    int    `xorm:"not null INT(10)"`
	SeqNo        int    `xorm:"not null TINYINT(4)"`
	SlipCrDr     string `xorm:"not null CHAR(1)"`
	AccCodeId    int    `xorm:"default 0 INT(10)"`
	AccCompanyId int    `xorm:"default 0 INT(10)"`
	AccEtcName   string `xorm:"VARCHAR(69)"`
	EtcAdd1      string `xorm:"VARCHAR(69)"`
	EtcAdd2      string `xorm:"VARCHAR(69)"`
	AccAmt       string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	Ip           string `xorm:"VARCHAR(20)"`
}

type DbrAccTitle struct {
	Id                int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn         int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn         int64  `xorm:"default 0 BIGINT(20)"`
	TitleCode         string `xorm:"not null default '' comment('계정과목코드') VARCHAR(6)"`
	AccDrCr           int    `xorm:"not null default 3 comment('차대변') TINYINT(4)"`
	TitleName         string `xorm:"not null default '' comment('계정과목명') VARCHAR(64)"`
	AtgroupCode       string `xorm:"not null default '' comment('집합계정코드') VARCHAR(16)"`
	PlusMinus         string `xorm:"not null default '0' comment('증가차감') CHAR(1)"`
	IsChung           string `xorm:"not null default '0' comment('충당금계정') CHAR(1)"`
	IsTotal           string `xorm:"not null default '0' comment('합계계정') CHAR(1)"`
	IsImportCost      string `xorm:"not null default '0' comment('수입비용계정') CHAR(1)"`
	Level3AtgroupCode string `xorm:"not null default '' comment('3단계집합코드') VARCHAR(16)"`
	RepTitleCode      string `xorm:"not null default '' comment('대표계정코드') VARCHAR(16)"`
	IsAccCompany      string `xorm:"not null default '0' comment('회계업체존재') CHAR(1)"`
	IsSkipped         string `xorm:"not null default '0' comment('사용않음') CHAR(1)"`
}

type DbrAgroup struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	AgroupCode   string `xorm:"VARCHAR(20)"`
	AgroupName   string `xorm:"VARCHAR(49)"`
	AgrTaxRegno  string `xorm:"VARCHAR(21)"`
	AgrFullName  string `xorm:"VARCHAR(96)"`
	AgrPresident string `xorm:"VARCHAR(96)"`
	AgrZipcode   string `xorm:"VARCHAR(21)"`
	AgrAddr1     string `xorm:"VARCHAR(49)"`
	AgrAddr2     string `xorm:"VARCHAR(49)"`
	AgrBizType   string `xorm:"VARCHAR(191)"`
	AgrDealItem  string `xorm:"VARCHAR(191)"`
	IsUnused     string `xorm:"CHAR(1)"`
}

type DbrAppSlip struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	AppSlipNo  string `xorm:"VARCHAR(21)"`
	AccSlipId  int    `xorm:"not null default 0 INT(10)"`
	UserId     int    `xorm:"not null default 0 INT(10)"`
	AppDate    string `xorm:"VARCHAR(8)"`
	AppRemarks string `xorm:"MEDIUMTEXT"`
	Ip         string `xorm:"VARCHAR(20)"`
}

type DbrBalAccTitle struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	YyyyMm     string `xorm:"not null VARCHAR(6)"`
	AgroupId   int    `xorm:"not null default 1 comment('회계단위구분') INT(10)"`
	BranchId   int    `xorm:"not null default 1 comment('지사 ID') INT(11)"`
	AccTitleId int    `xorm:"not null default 1 comment('계정과목 ID') INT(10)"`
	DrBalAmt   string `xorm:"not null default 0.0000 comment('차변잔액') DECIMAL(20,4)"`
	CrBalAmt   string `xorm:"not null default 0.0000 comment('대변잔액') DECIMAL(20,4)"`
}

type DbrBalBuyer struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	YyyyMm    string `xorm:"not null VARCHAR(6)"`
	BranchId  int    `xorm:"not null INT(10)"`
	BuyerId   int    `xorm:"not null default 0 INT(10)"`
	BalAmt    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
}

type DbrBalCredit struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	YyyyMm    string `xorm:"not null VARCHAR(6)"`
	BranchId  int    `xorm:"not null INT(10)"`
	BuyerId   int    `xorm:"not null default 0 INT(10)"`
	BalAmt    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
}

type DbrBalItem struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	YyyyMm    string `xorm:"not null VARCHAR(6)"`
	StorageId int    `xorm:"not null default 0 INT(10)"`
	ItemId    int    `xorm:"not null default 0 INT(10)"`
	BalQty    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	BadBalQty string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
}

type DbrBalReward struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	YyyyMm    string `xorm:"not null VARCHAR(6)"`
	BranchId  int    `xorm:"not null INT(10)"`
	BuyerId   int    `xorm:"not null default 0 INT(10)"`
	BalAmt    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
}

type DbrBalSupplier struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	YyyyMm     string `xorm:"not null VARCHAR(6)"`
	BranchId   int    `xorm:"not null INT(10)"`
	SupplierId int    `xorm:"not null default 0 INT(10)"`
	BalAmt     string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
}

type DbrBranch struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	BranchCode    string `xorm:"VARCHAR(20)"`
	BranchName    string `xorm:"VARCHAR(49)"`
	BranchManager string `xorm:"VARCHAR(49)"`
	IsUnused      string `xorm:"not null default '0' CHAR(1)"`
}

type DbrCalDay struct {
	Day string `xorm:"not null pk unique VARCHAR(8)"`
}

type DbrCalFormat struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	DateType  string `xorm:"VARCHAR(5)"`
	DateIndex string `xorm:"not null unique VARCHAR(8)"`
}

type DbrCgroup struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	CgroupCode    string `xorm:"comment('업체구분--Code') VARCHAR(20)"`
	CgroupName    string `xorm:"VARCHAR(49)"`
	CgroupManager string `xorm:"VARCHAR(49)"`
	IsUnused      string `xorm:"default '0' CHAR(1)"`
}

type DbrCompany struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	CompanyDate   string `xorm:"not null default '20200101' comment('업체등록일') index CHAR(8)"`
	CompanyNo     string `xorm:"not null default '20220101-01' comment('업체등록 번호') unique VARCHAR(21)"`
	CgroupId      int    `xorm:"comment('업체구분') index INT(10)"`
	CompanyName   string `xorm:"comment('고객약칭') index VARCHAR(32)"`
	CompanyClass  string `xorm:"default '' comment('업체등급:AA(개인고객), AB(기업고객), BB(기업공급처)') index VARCHAR(2)"`
	FullName      string `xorm:"not null default '' comment('고객성명(전체이름)') VARCHAR(96)"`
	MobileNo      string `xorm:"index VARCHAR(21)"`
	Email         string `xorm:"VARCHAR(64)"`
	Sex           string `xorm:"comment('m:남성, w:여성') CHAR(1)"`
	BirthDate     string `xorm:"CHAR(8)"`
	IsLunar       string `xorm:"comment('0:양력, 1:음력') CHAR(1)"`
	CardChar4     string `xorm:"comment('지울것') VARCHAR(4)"`
	MainContact   string `xorm:"comment('주담당자: POS의 경우 고객이름(동명이인 사용가능)으로 사용') VARCHAR(21)"`
	TelNo         string `xorm:"index VARCHAR(21)"`
	FaxNo         string `xorm:"VARCHAR(21)"`
	TaxNo         string `xorm:"comment('사업자 등록 번호') VARCHAR(21)"`
	President     string `xorm:"comment('대표자명') VARCHAR(96)"`
	ZipCode       string `xorm:"comment('우편번호') VARCHAR(21)"`
	Addr1         string `xorm:"comment('현주소') VARCHAR(49)"`
	Addr2         string `xorm:"comment('상세주소') VARCHAR(49)"`
	BizType       string `xorm:"comment('업태') VARCHAR(191)"`
	DealItem      string `xorm:"comment('종목') VARCHAR(191)"`
	IsDealEnd     string `xorm:"not null default '0' comment('거래중지') CHAR(1)"`
	IsOkText      string `xorm:"not null default '0' comment('문자접수승인') CHAR(1)"`
	IsOkEmail     string `xorm:"not null default '0' comment('이메일접수승인') CHAR(1)"`
	IsOkDm        string `xorm:"default '0' comment('DM접수승인') CHAR(1)"`
	CurrCreditBal string `xorm:"not null default 0.0000 comment('지울것') DECIMAL(20,4)"`
	Remarks       string `xorm:"MEDIUMTEXT"`
	CertImg       string `xorm:"default '' comment('사업자등록증 사진') VARCHAR(256)"`
	CompanyJson   string `xorm:"comment('커스터마이징 내용') TEXT"`
	Ip            string `xorm:"VARCHAR(21)"`
}

type DbrCoupon struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UserId     int    `xorm:"not null default 0 INT(10)"`
	CouponType string `xorm:"CHAR(1)"`
	BranchId   int    `xorm:"not null default 0 INT(10)"`
	IssueType  string `xorm:"CHAR(1)"`
	IssueDate  string `xorm:"not null VARCHAR(8)"`
	CouponName string `xorm:"VARCHAR(36)"`
	CouponCode string `xorm:"VARCHAR(21)"`
	IsRate     string `xorm:"not null default '0' CHAR(1)"`
	CouponNum  string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	ExpireDate string `xorm:"VARCHAR(8)"`
	CouponDesc string `xorm:"VARCHAR(68)"`
	Ip         string `xorm:"VARCHAR(20)"`
}

type DbrCpack struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	CpackName string `xorm:"VARCHAR(21)"`
	CpackMemo string `xorm:"not null MEDIUMTEXT"`
}

type DbrCredit struct {
	Id          int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	CreditNo    string `xorm:"unique VARCHAR(21)"`
	CreditDate  string `xorm:"VARCHAR(8)"`
	DealTypeId  int    `xorm:"INT(10)"`
	IsTransfer  string `xorm:"not null default '0' CHAR(1)"`
	FromBuyerId int    `xorm:"not null default 0 INT(10)"`
	ToBuyerId   int    `xorm:"not null default 0 INT(10)"`
	BranchId    int    `xorm:"not null default 0 INT(10)"`
	UserId      int    `xorm:"not null default 0 INT(10)"`
	ManualAmt   string `xorm:"DECIMAL(20,4)"`
	Remarks     string `xorm:"TEXT"`
	Ip          string `xorm:"VARCHAR(20)"`
}

type DbrCustomerTieBd struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	CustomerTieId int    `xorm:"default 0 INT(10)"`
	SeqNo         int    `xorm:"not null TINYINT(4)"`
	BranchId      int    `xorm:"not null default 0 INT(10)"`
	UserId        int    `xorm:"not null default 0 INT(10)"`
	BuyerId       int    `xorm:"not null default 0 INT(10)"`
	Ref1          string `xorm:"VARCHAR(49)"`
	Ref2          string `xorm:"VARCHAR(49)"`
	IsLeader      string `xorm:"not null default '0' CHAR(1)"`
	Ip            string `xorm:"VARCHAR(21)"`
}

type DbrCustomerTie struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	CustomerTieNo string `xorm:"unique VARCHAR(21)"`
	TieDate       string `xorm:"VARCHAR(8)"`
	TieName       string `xorm:"VARCHAR(36)"`
	BranchId      int    `xorm:"not null default 0 INT(10)"`
	UserId        int    `xorm:"not null default 0 INT(10)"`
	Status        string `xorm:"VARCHAR(21)"`
	IsClosed      string `xorm:"not null default '0' CHAR(1)"`
	Remarks       string `xorm:"TEXT"`
	Ip            string `xorm:"VARCHAR(20)"`
}

type DbrCreditBd struct {
	Id          int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	HdId        int    `xorm:"not null default 0 INT(11)"`
	BdId        int    `xorm:"not null default 0 INT(11)"`
	CreditId    int    `xorm:"not null default 0 INT(10)"`
	AvailDate   string `xorm:"not null default '0' CHAR(8)"`
	OccurDate   string `xorm:"default '0' CHAR(8)"`
	BranchId    int    `xorm:"not null default 0 INT(10)"`
	UserId      int    `xorm:"not null default 0 INT(10)"`
	DealTypeId  int    `xorm:"not null default 0 INT(10)"`
	IsFromBuyer string `xorm:"CHAR(1)"`
	BuyerId     int    `xorm:"not null default 0 INT(10)"`
	CreditAmt   string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	AddMsg      string `xorm:"VARCHAR(64)"`
}

type DbrDailyCalc struct {
	Id          int    `xorm:"not null pk autoincr unique INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	CalcDate    string `xorm:"CHAR(8)"`
	CalcMonth   string `xorm:"CHAR(6)"`
	CalcYear    string `xorm:"CHAR(4)"`
	LastCash    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	SalesAmt    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	SalesTot    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	PayedAmt    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	PayedTot    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	ChargeAmt   string `xorm:"default 0.0000 DECIMAL(20,4)"`
	ChargeTot   string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CashAmt     string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CashTot     string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CcardAmt    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CcardTot    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	RewardAmt   string `xorm:"default 0.0000 DECIMAL(20,4)"`
	RewardTot   string `xorm:"default 0.0000 DECIMAL(20,4)"`
	DcountAmt   string `xorm:"default 0.0000 DECIMAL(20,4)"`
	DcountTot   string `xorm:"default 0.0000 DECIMAL(20,4)"`
	ExpenseAmt  string `xorm:"default 0.0000 DECIMAL(20,4)"`
	ExpenseTot  string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CashoutAmt  string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CashoutToto string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CurrCash    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CashdiffAmt string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CashdiffTot string `xorm:"default 0.0000 DECIMAL(20,4)"`
	SalesCnt    int    `xorm:"INT(11)"`
	NewvisitCnt int    `xorm:"INT(11)"`
	RevisitCnt  int    `xorm:"INT(11)"`
}

type DbrDealType struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	DealCategory  string `xorm:"not null default '' comment('매출/매입/수불 등') VARCHAR(21)"`
	SortNo        int    `xorm:"not null comment('순서번호') TINYINT(4)"`
	DealCode      string `xorm:"not null default '' comment('거래구분코드') VARCHAR(2)"`
	DealName      string `xorm:"not null default '' comment('거래구분명') VARCHAR(21)"`
	SalesStatus   int    `xorm:"not null comment('매출상황(+)(-)') TINYINT(4)"`
	PurchStatus   int    `xorm:"not null comment('매입상황(+)(-)') TINYINT(4)"`
	CollectStatus int    `xorm:"not null default 0 comment('입출금(+)(-)') TINYINT(4)"`
	StockStatus   int    `xorm:"not null default 0 TINYINT(4)"`
	BadstkStatus  int    `xorm:"not null TINYINT(4)"`
	CoststkStatus int    `xorm:"not null TINYINT(4)"`
	CreditStatus  int    `xorm:"not null TINYINT(4)"`
	RewardStatus  int    `xorm:"not null TINYINT(4)"`
	ExDateStatus  int    `xorm:"not null comment('마감일자상황') TINYINT(4)"`
	IsGenIo       int    `xorm:"not null comment('일반이동처리') TINYINT(4)"`
	IsReqRetro    int    `xorm:"not null comment('소급요청') TINYINT(4)"`
	GenIoPrtField string `xorm:"not null default '' VARCHAR(49)"`
}

type DbrEtc struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	EtcType        string `xorm:"not null VARCHAR(21)"`
	SelectName     string `xorm:"VARCHAR(49)"`
	SortNo         int    `xorm:"not null default 0 TINYINT(4)"`
	Value          string `xorm:"VARCHAR(191)"`
	Caption        string `xorm:"VARCHAR(191)"`
	IsUnchangeable string `xorm:"not null default '0' CHAR(1)"`
	IsUndeletable  string `xorm:"not null default '0' CHAR(1)"`
	EtcMemo        string `xorm:"MEDIUMTEXT"`
}

type DbrGenio struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	GenioNo        string `xorm:"unique VARCHAR(21)"`
	GenioDate      string `xorm:"VARCHAR(8)"`
	DealTypeId     int    `xorm:"not null default 0 INT(10)"`
	UserId         int    `xorm:"not null default 0 INT(10)"`
	SgroupId       int    `xorm:"not null default 0 INT(10)"`
	BranchId       int    `xorm:"not null default 0 INT(10)"`
	StorageId      int    `xorm:"not null default 0 INT(10)"`
	CompanyId      int    `xorm:"not null default 0 INT(10)"`
	VatRateId      int    `xorm:"not null default 0 INT(10)"`
	CompanyContact string `xorm:"VARCHAR(49)"`
	OurContact     string `xorm:"VARCHAR(49)"`
	Status         string `xorm:"VARCHAR(21)"`
	Column1        string `xorm:"VARCHAR(69)"`
	Column2        string `xorm:"not null VARCHAR(69)"`
	Remarks        string `xorm:"TEXT"`
	Ip             string `xorm:"VARCHAR(20)"`
}

type DbrItem struct {
	Id              int    `xorm:"not null pk autoincr index(mdx_id_code) INT(10)"`
	UploadBatch     string `xorm:"not null default '' comment('업로드 1회처리 모음') VARCHAR(21)"`
	CreatedOn       int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn       int64  `xorm:"not null default 0 BIGINT(11)"`
	IgroupId        int    `xorm:"not null index INT(10)"`
	SupplierId      int    `xorm:"default 0 comment('공급자(company.id)') index INT(11)"`
	ItemCode        string `xorm:"not null unique index(mdx_id_code) VARCHAR(21)"`
	ItemName        string `xorm:"not null index VARCHAR(82)"`
	SubName         string `xorm:"not null default '' comment('규격,옵션등') VARCHAR(65)"`
	CountUnit       string `xorm:"comment('수량단위(EA등)') VARCHAR(5)"`
	PurchPrc        string `xorm:"default 0.0000 comment('매입가') DECIMAL(18,4)"`
	SalesPrc        string `xorm:"default 0.0000 comment('매출가') DECIMAL(18,4)"`
	DiscountPrc     string `xorm:"not null default 0.0000 comment('할인가') DECIMAL(18,4)"`
	ItemMemo        string `xorm:"comment('품목메모필드-non_html') TEXT"`
	ItemDesc        string `xorm:"comment('품목설명-html') TEXT"`
	IheaderId       int    `xorm:"comment('품목헤더(무역용)') index INT(10)"`
	IsMaterial      string `xorm:"not null default '0' comment('0:상품 1:원부자재') CHAR(1)"`
	IsItemEnd       string `xorm:"not null default '0' comment('BOM상의 반제품아님') CHAR(1)"`
	IsStyle         string `xorm:"not null default '0' comment('스타일여부') CHAR(1)"`
	IsSelfOption    string `xorm:"not null default '0' comment('0:표준옵션, 1:자체옵션') CHAR(1)"`
	StyleId         int    `xorm:"not null default 0 comment('종속스타일(Assort만 적용됨)') index INT(11)"`
	IsntPro         string `xorm:"not null default '0' comment('0;온오프판매가능, 1:온라인판매않음') CHAR(1)"`
	IsntStkio       string `xorm:"not null default '0' comment('수불처리않음') CHAR(1)"`
	IsCreditProduct string `xorm:"not null default '0' comment('충전금상품') CHAR(1)"`
	OfferCredit     string `xorm:"not null default 0.0000 comment('제공충전포인트') DECIMAL(18,4)"`
	RewardRate      string `xorm:"not null default 0.00 comment('적립%') DECIMAL(4,2)"`
	RewardAmt       string `xorm:"not null default 0.0000 comment('적립금액') DECIMAL(18,4)"`
	MediaId         int    `xorm:"not null default 1 comment('미디어라이프러리id') index INT(11)"`
	ThmMediaCnt     int    `xorm:"not null default 0 comment('thm의 추가 이미지 갯수') TINYINT(4)"`
	Status          string `xorm:"not null default '0' CHAR(1)"`
	Ip              string `xorm:"VARCHAR(21)"`
	Duid            string `xorm:"default '' comment('API 클러스터용') CHAR(36)"`
	ItemSlug        string `xorm:"not null default '' comment('품목슬러그') unique VARCHAR(128)"`
	ItemMeta        string `xorm:"not null comment('품목Seo-Meta') TEXT"`
}

type DbrGenioBd struct {
	Id          int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	GenioId     int    `xorm:"not null INT(10)"`
	SeqNo       int    `xorm:"not null TINYINT(4)"`
	ItemId      int    `xorm:"not null INT(10)"`
	GenioQty    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	GenioPrc    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	GenioSupply string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	GenioVat    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	GenioSum    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	Ref1        string `xorm:"VARCHAR(69)"`
	Ref2        string `xorm:"VARCHAR(69)"`
	GenioDesc   string `xorm:"MEDIUMTEXT"`
	GenioMemo   string `xorm:"TEXT"`
	Ip          string `xorm:"VARCHAR(20)"`
}

type DbrGlobal struct {
	Id            int   `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64 `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64 `xorm:"default 0 BIGINT(20)"`
	AgroupId      int   `xorm:"default 0 INT(11)"`
	SalesQtyPoint int   `xorm:"not null default 0 TINYINT(3)"`
	SalesPrcPoint int   `xorm:"not null default 0 TINYINT(1)"`
	SalesAmtPoint int   `xorm:"not null default 0 TINYINT(1)"`
	PurchQtyPoint int   `xorm:"not null default 0 TINYINT(1)"`
	PurchPrcPoint int   `xorm:"not null default 0 TINYINT(1)"`
	PurchAmtPoint int   `xorm:"not null default 0 TINYINT(1)"`
	StockQtyPoint int   `xorm:"not null default 0 TINYINT(1)"`
	StockPrcPoint int   `xorm:"not null default 0 TINYINT(1)"`
	StockAmtPoint int   `xorm:"not null default 0 TINYINT(1)"`
	AccAmtPoint   int   `xorm:"not null default 0 TINYINT(1)"`
}

type DbrIgroup struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	IgroupCode string `xorm:"not null default '' unique VARCHAR(20)"`
	IgroupName string `xorm:"not null default '' VARCHAR(49)"`
	MediaId    int    `xorm:"not null default 1 comment('미디어라이블러리 연결') INT(11)"`
	Sort       string `xorm:"not null default '000' VARCHAR(3)"`
	Status     string `xorm:"not null default '0' CHAR(1)"`
	IsEndLevel string `xorm:"not null default '0' CHAR(1)"`
	Duid       string `xorm:"not null default '' comment('SEO/API클러스터') CHAR(36)"`
	IgroupSlug string `xorm:"not null default '' comment('품목구분슬러그') VARCHAR(128)"`
	IgroupMeta string `xorm:"not null default ' ' comment('품목구분Seo-Meta') TEXT"`
}

type DbrIheader struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	HeaderName string `xorm:"VARCHAR(21)"`
	HeaderDesc string `xorm:"MEDIUMTEXT"`
	IsUse      string `xorm:"not null default '0' CHAR(1)"`
}

type FedCrystalHost struct {
	Id        int    `xorm:"not null pk autoincr unique INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"not null VARCHAR(21)"`
	Position  string `xorm:"not null VARCHAR(10)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(64)"`
	C2        string `xorm:"VARCHAR(64)"`
	C3        string `xorm:"VARCHAR(64)"`
	C4        string `xorm:"VARCHAR(64)"`
	C5        string `xorm:"VARCHAR(64)"`
	C6        string `xorm:"VARCHAR(64)"`
	C7        string `xorm:"VARCHAR(64)"`
	C8        string `xorm:"VARCHAR(64)"`
	C9        string `xorm:"VARCHAR(64)"`
	C10       string `xorm:"VARCHAR(64)"`
	C11       string `xorm:"VARCHAR(64)"`
	C12       string `xorm:"VARCHAR(64)"`
	C13       string `xorm:"VARCHAR(64)"`
	C14       string `xorm:"VARCHAR(64)"`
	C15       string `xorm:"VARCHAR(64)"`
	C16       string `xorm:"VARCHAR(64)"`
	C17       string `xorm:"VARCHAR(64)"`
	C18       string `xorm:"VARCHAR(64)"`
	C19       string `xorm:"VARCHAR(64)"`
	C20       string `xorm:"VARCHAR(64)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"MEDIUMTEXT"`
	T2        string `xorm:"MEDIUMTEXT"`
}

type DbtListSum struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	HId       int    `xorm:"not null default 0 comment('전표 Header id') INT(11)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"not null VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(64)"`
	C1        string `xorm:"VARCHAR(64)"`
	C2        string `xorm:"VARCHAR(64)"`
	C3        string `xorm:"VARCHAR(64)"`
	C4        string `xorm:"VARCHAR(64)"`
	C5        string `xorm:"VARCHAR(64)"`
	C6        string `xorm:"VARCHAR(64)"`
	C7        string `xorm:"VARCHAR(64)"`
	C8        string `xorm:"VARCHAR(64)"`
	C9        string `xorm:"VARCHAR(64)"`
	C10       string `xorm:"VARCHAR(64)"`
	C11       string `xorm:"VARCHAR(64)"`
	C12       string `xorm:"VARCHAR(64)"`
	C13       string `xorm:"VARCHAR(64)"`
	C14       string `xorm:"VARCHAR(64)"`
	C15       string `xorm:"VARCHAR(64)"`
	C16       string `xorm:"VARCHAR(64)"`
	C17       string `xorm:"VARCHAR(64)"`
	C18       string `xorm:"VARCHAR(64)"`
	C19       string `xorm:"VARCHAR(64)"`
	C20       string `xorm:"VARCHAR(64)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"MEDIUMTEXT"`
	T2        string `xorm:"MEDIUMTEXT"`
}

type DbrItemOption struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"not null default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"not null default 0 BIGINT(20)"`
	SeqNo      int    `xorm:"not null default 0 comment('순서') TINYINT(4)"`
	OptionCode string `xorm:"not null default '' comment('옵션코드') unique VARCHAR(6)"`
	OptionType string `xorm:"not null default '' comment('옵션구분') VARCHAR(6)"`
	OptionName string `xorm:"not null default '' comment('옵션이름') VARCHAR(32)"`
	IsUnused   string `xorm:"not null default '0' CHAR(1)"`
}

type DbrItemOptpro struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"not null default 0 BIGINT(20)"`
	UpdatedOn      int64  `xorm:"not null default 0 BIGINT(20)"`
	ItemId         int    `xorm:"not null comment('품목 id') INT(11)"`
	SeqNo          int    `xorm:"not null default 0 comment('순서') TINYINT(4)"`
	ColorId        int    `xorm:"not null default 1 comment('color id') index INT(11)"`
	SizeId         int    `xorm:"not null default 1 comment('size id') index INT(11)"`
	SelfSizeName   string `xorm:"not null default '' comment('자체 사이즈 옵션명') VARCHAR(32)"`
	SelfColorName  string `xorm:"not null default '' comment('자체 컬러 옵션명') VARCHAR(32)"`
	SelfOptionCode string `xorm:"not null default '' comment('자체 옵션코드') VARCHAR(6)"`
	PurchPrc       string `xorm:"not null default 0.0000 comment('매입가') DECIMAL(18,4)"`
	SalesPrc       string `xorm:"not null default 0.0000 comment('매출가') DECIMAL(18,4)"`
	Ip             string `xorm:"not null default '' VARCHAR(21)"`
}

type DbrItemThm struct {
	Id          int    `xorm:"not null pk INT(10)"`
	UploadBatch string `xorm:"not null default '' comment('업로드 1회처리 모음') VARCHAR(21)"`
	CreatedOn   int64  `xorm:"not null default 0 comment('생성일시 unixtime') BIGINT(20)"`
	MediaId1    int    `xorm:"not null default 1 comment('1st 썸네일이미지') INT(11)"`
	MediaId2    int    `xorm:"not null default 1 comment('2nd 썸네일이미지') INT(11)"`
	MediaId3    int    `xorm:"not null default 1 comment('3th 썸네일이미지') INT(11)"`
	MediaId4    int    `xorm:"not null default 1 comment('4th 썸네일이미지') INT(11)"`
	MediaId5    int    `xorm:"not null default 1 comment('5th 썸네일이미지') INT(11)"`
	MediaId6    int    `xorm:"not null default 1 comment('6번 추가이미지') INT(11)"`
	MediaId7    int    `xorm:"not null default 1 comment('7번 추가이미지') INT(11)"`
	MediaId8    int    `xorm:"not null default 1 comment('8번 추가이미지') INT(11)"`
	MediaId9    int    `xorm:"not null default 1 comment('9번 추가이미지') INT(11)"`
	MediaId10   int    `xorm:"not null default 1 comment('10번 추가이미지') INT(11)"`
	Pc1         string `xorm:"VARCHAR(64)"`
	Pc2         string `xorm:"VARCHAR(64)"`
	Pc3         string `xorm:"VARCHAR(64)"`
	Pc4         string `xorm:"VARCHAR(64)"`
	Pc5         string `xorm:"VARCHAR(64)"`
	Pc6         string `xorm:"VARCHAR(64)"`
	Pc7         string `xorm:"VARCHAR(64)"`
	Pc8         string `xorm:"VARCHAR(64)"`
	Pc9         string `xorm:"VARCHAR(64)"`
	Pc10        string `xorm:"VARCHAR(64)"`
	Pd1         string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd2         string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd3         string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd4         string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd5         string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd6         string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd7         string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd8         string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd9         string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd10        string `xorm:"default 0.0000 DECIMAL(20,4)"`
}

type DbrLastSlipNo struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	SlipDatePrefix string `xorm:"not null unique VARCHAR(31)"`
	LastSlipSerial int    `xorm:"not null default 1 INT(11)"`
	IsLocked       string `xorm:"not null default '0' CHAR(1)"`
}

type DbrMedia struct {
	Id            int    `xorm:"not null pk autoincr comment('레코드1은 빈이미지로 지정') INT(11)"`
	UploadBatch   string `xorm:"not null default '' comment('업로드 1회처리 모음') VARCHAR(21)"`
	UploadItemId  int    `xorm:"not null default 0 comment('업로드와 연결된 item_id') INT(11)"`
	UploadPostfix int    `xorm:"not null default 0 comment('upload용 추가이미지 번호') TINYINT(4)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	MediaNo       string `xorm:"not null default '' comment('자동번호:일자-일련번호, 품목업로드시:품목코드~x') unique VARCHAR(23)"`
	MediaDate     string `xorm:"not null default '' VARCHAR(8)"`
	UserId        int    `xorm:"not null default 0 INT(10)"`
	BranchId      int    `xorm:"not null default 0 INT(10)"`
	MediaBrand    string `xorm:"not null default '' VARCHAR(32)"`
	MediaName     string `xorm:"not null default '' VARCHAR(64)"`
	FileUrl       string `xorm:"not null default '' VARCHAR(256)"`
	FileSize      int    `xorm:"not null default 0 INT(10)"`
	MediaWidth    int    `xorm:"not null default 0 INT(10)"`
	MediaHeight   int    `xorm:"not null default 0 INT(10)"`
	MineType      string `xorm:"not null default '' VARCHAR(256)"`
	IsBdMatch     string `xorm:"default '0' CHAR(1)"`
	MediaCaption  string `xorm:"not null default '' VARCHAR(128)"`
	IsClosed      string `xorm:"not null default '0' CHAR(1)"`
	Ip            string `xorm:"VARCHAR(20)"`
}

type DbrMediaBd struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	MediaId    int    `xorm:"default 1 INT(11)"`
	SeqNo      int    `xorm:"not null default 0 TINYINT(4)"`
	ImageType  string `xorm:"VARCHAR(64)"`
	BdFileUrl  string `xorm:"VARCHAR(256)"`
	BdFileSize int    `xorm:"INT(10)"`
	BdWidth    int    `xorm:"INT(10)"`
	BdHeight   int    `xorm:"INT(10)"`
}

type DbrPorder struct {
	Id              int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn       int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn       int64  `xorm:"default 0 BIGINT(20)"`
	SorderId        int    `xorm:"INT(11)"`
	PorderNo        string `xorm:"unique VARCHAR(21)"`
	PorderDate      string `xorm:"not null default '' CHAR(8)"`
	DealTypeId      int    `xorm:"not null default 0 INT(10)"`
	UserId          int    `xorm:"not null default 0 INT(10)"`
	SgroupId        int    `xorm:"not null default 0 INT(10)"`
	BranchId        int    `xorm:"not null default 0 INT(10)"`
	StorageId       int    `xorm:"not null default 0 INT(10)"`
	SupplierId      int    `xorm:"not null default 0 INT(10)"`
	VatRateId       int    `xorm:"not null default 0 INT(10)"`
	SupplierContact string `xorm:"VARCHAR(49)"`
	PayTerms        string `xorm:"VARCHAR(69)"`
	PayPeriod       string `xorm:"VARCHAR(69)"`
	Destination     string `xorm:"VARCHAR(69)"`
	Delivery        string `xorm:"VARCHAR(69)"`
	RefNo           string `xorm:"VARCHAR(49)"`
	OurContact      string `xorm:"VARCHAR(49)"`
	Status          string `xorm:"VARCHAR(21)"`
	Situation       string `xorm:"comment('안좋은 상황코드(claim등)') CHAR(2)"`
	IsClosed        string `xorm:"not null default '0' CHAR(1)"`
	Column1         string `xorm:"VARCHAR(69)"`
	Column2         string `xorm:"not null VARCHAR(69)"`
	Remarks         string `xorm:"TEXT"`
	Ip              string `xorm:"VARCHAR(20)"`
	IsLocked        string `xorm:"not null default '0' CHAR(1)"`
}

type DbrPorderBd struct {
	Id           int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	PorderId     int    `xorm:"not null INT(10)"`
	SorderDbId   int    `xorm:"not null default 0 INT(11)"`
	SeqNo        int    `xorm:"not null TINYINT(4)"`
	ItemId       int    `xorm:"not null INT(10)"`
	PorderQty    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PorderPrc    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PorderSupply string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PorderVat    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PorderSum    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	DiscountRate string `xorm:"not null default 0.0000 DECIMAL(6,4)"`
	StdPurchPrc  string `xorm:"DECIMAL(20,4)"`
	DeliDate     string `xorm:"VARCHAR(8)"`
	ConfirmDate  string `xorm:"VARCHAR(8)"`
	PorderMemo   string `xorm:"TEXT"`
	Ref1         string `xorm:"VARCHAR(69)"`
	Ref2         string `xorm:"VARCHAR(69)"`
	PorderDesc   string `xorm:"TEXT"`
	IsEnd        int    `xorm:"not null default 0 TINYINT(4)"`
	Ip           string `xorm:"VARCHAR(20)"`
}

type DbtListType1 struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	HId       int    `xorm:"not null default 0 comment('전표 Header id') INT(11)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"not null VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(64)"`
	C1        string `xorm:"VARCHAR(64)"`
	C2        string `xorm:"VARCHAR(64)"`
	C3        string `xorm:"VARCHAR(64)"`
	C4        string `xorm:"VARCHAR(64)"`
	C5        string `xorm:"VARCHAR(64)"`
	C6        string `xorm:"VARCHAR(64)"`
	C7        string `xorm:"VARCHAR(64)"`
	C8        string `xorm:"VARCHAR(64)"`
	C9        string `xorm:"VARCHAR(64)"`
	C10       string `xorm:"VARCHAR(64)"`
	C11       string `xorm:"VARCHAR(64)"`
	C12       string `xorm:"VARCHAR(64)"`
	C13       string `xorm:"VARCHAR(64)"`
	C14       string `xorm:"VARCHAR(64)"`
	C15       string `xorm:"VARCHAR(64)"`
	C16       string `xorm:"VARCHAR(64)"`
	C17       string `xorm:"VARCHAR(64)"`
	C18       string `xorm:"VARCHAR(64)"`
	C19       string `xorm:"VARCHAR(64)"`
	C20       string `xorm:"VARCHAR(64)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"MEDIUMTEXT"`
	T2        string `xorm:"MEDIUMTEXT"`
}

type FedOfficeGuest struct {
	Id            int    `xorm:"not null pk autoincr unique INT(10)"`
	CreatedOn     int    `xorm:"not null default unix_timestamp() INT(11)"`
	UpdatedOn     int    `xorm:"not null default unix_timestamp() INT(11)"`
	OfcCode       string `xorm:"not null VARCHAR(21)"`
	OfcPlace      string `xorm:"VARCHAR(128)"`
	OfcName       string `xorm:"VARCHAR(128)"`
	OfcTaxNo      string `xorm:"VARCHAR(32)"`
	OfcEmail      string `xorm:"VARCHAR(128)"`
	OfcTelNo      string `xorm:"VARCHAR(16)"`
	OfcFaxNo      string `xorm:"VARCHAR(16)"`
	OfcMobile     string `xorm:"VARCHAR(16)"`
	OfcZipCode    string `xorm:"VARCHAR(16)"`
	OfcPresident  string `xorm:"VARCHAR(64)"`
	OfcAddress    string `xorm:"VARCHAR(256)"`
	OfcBizType    string `xorm:"VARCHAR(64)"`
	OfcDealType   string `xorm:"VARCHAR(64)"`
	SalesQtyPoint int    `xorm:"not null default 0 TINYINT(4)"`
	SalesPrcPoint int    `xorm:"not null default 0 TINYINT(4)"`
	SalesAmtPoint int    `xorm:"not null default 0 TINYINT(4)"`
	PurchQtyPoint int    `xorm:"not null default 0 TINYINT(4)"`
	PurchPrcPoint int    `xorm:"not null default 0 TINYINT(4)"`
	PurchAmtPoint int    `xorm:"not null default 0 TINYINT(4)"`
	StockQtyPoint int    `xorm:"not null default 0 TINYINT(4)"`
	StockPrcPoint int    `xorm:"not null default 0 TINYINT(4)"`
	StockAmtPoint int    `xorm:"not null default 0 TINYINT(4)"`
	AccAmtPoint   int    `xorm:"not null default 0 TINYINT(4)"`
}

type DbrPosClosing struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	BranchId      int    `xorm:"not null default 0 unique(branch_date) INT(10)"`
	ClosingDate   string `xorm:"not null default '' comment('정산일자') unique(branch_date) CHAR(8)"`
	UserId        int    `xorm:"not null INT(10)"`
	SalesDay      string `xorm:"default 0.0000 comment('매출일합계') DECIMAL(18,4)"`
	SalesMonth    string `xorm:"default 0.0000 comment('매출월누계') DECIMAL(18,4)"`
	PureDay       string `xorm:"default 0.0000 comment('순매출일합계(외상제외금액)') DECIMAL(18,4)"`
	PureMonth     string `xorm:"default 0.0000 comment('순매출월누계(외상제외금액) ') DECIMAL(18,4)"`
	CreditDay     string `xorm:"default 0.0000 comment('외상일합계') DECIMAL(18,4)"`
	CreditMonth   string `xorm:"default 0.0000 comment('외상월합계') DECIMAL(18,4)"`
	CashDay       string `xorm:"default 0.0000 comment('현금매출일합계') DECIMAL(18,4)"`
	CashMonth     string `xorm:"default 0.0000 comment('현금매출월누계') DECIMAL(18,4)"`
	CcardDay      string `xorm:"default 0.0000 comment('신용카드매출일합계') DECIMAL(18,4)"`
	CcardMonth    string `xorm:"default 0.0000 comment('신용카드월매출누계') DECIMAL(18,4)"`
	RewardDay     string `xorm:"default 0.0000 comment('적립금매출일합계') DECIMAL(18,4)"`
	RewardMonth   string `xorm:"default 0.0000 comment('적립금매출월누계') DECIMAL(18,4)"`
	DiscountDay   string `xorm:"default 0.0000 comment('할인금액일합계') DECIMAL(18,4)"`
	DiscountMonth string `xorm:"default 0.0000 comment('할인금액월누계') DECIMAL(18,4)"`
	ExpenseDay    string `xorm:"default 0.0000 comment('지출금액일합계') DECIMAL(18,4)"`
	ExpenseMonth  string `xorm:"default 0.0000 comment('지출금액월누계') DECIMAL(18,4)"`
	CashExpDay    string `xorm:"default 0.0000 comment('현금지출일합계') DECIMAL(18,4)"`
	CashExpMonth  string `xorm:"default 0.0000 comment('현금지출월누계') DECIMAL(18,4)"`
	CcardExpDay   string `xorm:"default 0.0000 comment('카드지출일합계') DECIMAL(18,4)"`
	CcardExpMonth string `xorm:"default 0.0000 comment('카드지출월누계') DECIMAL(18,4)"`
	SorderCnt     int    `xorm:"not null default 0 comment('오더건수') INT(11)"`
	SorderNew     int    `xorm:"not null default 0 comment('신규건수') INT(11)"`
	RevisitCnt    int    `xorm:"not null default 0 comment('재방문건수') INT(11)"`
	ErrorDay      string `xorm:"default 0.0000 comment('현금오차일합계') DECIMAL(18,4)"`
	ErrorMonth    string `xorm:"default 0.0000 comment('현금오차월누계') DECIMAL(18,4)"`
	LastCashBal   string `xorm:"default 0.0000 comment('이월현금잔액') DECIMAL(18,4)"`
	CurrCashBal   string `xorm:"default 0.0000 comment('현재현금잔액') DECIMAL(18,4)"`
	MemoDesc      string `xorm:"comment('메모') MEDIUMTEXT"`
	IsApproved    string `xorm:"not null default '0' comment('승인여부') CHAR(1)"`
	Ip            string `xorm:"VARCHAR(21)"`
}

type DbrPquote struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	PquoteNo       string `xorm:"not null unique VARCHAR(21)"`
	PquoteDate     string `xorm:"not null VARCHAR(8)"`
	DealTypeId     int    `xorm:"not null INT(10)"`
	UserId         int    `xorm:"not null INT(10)"`
	SgroupId       int    `xorm:"not null INT(10)"`
	BranchId       int    `xorm:"not null INT(10)"`
	SupplierId     int    `xorm:"not null INT(10)"`
	VatRateId      int    `xorm:"not null INT(10)"`
	CompanyContact string `xorm:"VARCHAR(49)"`
	PayTerms       string `xorm:"VARCHAR(69)"`
	PayPeriod      string `xorm:"VARCHAR(69)"`
	Destination    string `xorm:"VARCHAR(69)"`
	Delivery       string `xorm:"VARCHAR(69)"`
	Status         string `xorm:"comment('상태') CHAR(1)"`
	IsClosed       string `xorm:"not null CHAR(1)"`
	Column1        string `xorm:"VARCHAR(69)"`
	Column2        string `xorm:"VARCHAR(69)"`
	Remarks        string `xorm:"TEXT"`
	Ip             string `xorm:"VARCHAR(20)"`
}

type DbrPquoteBd struct {
	Id           int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	PquoteId     int    `xorm:"not null INT(10)"`
	SeqNo        int    `xorm:"not null TINYINT(4)"`
	ItemId       int    `xorm:"not null INT(10)"`
	PquoteQty    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PquotePrc    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PquoteSupply string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PquoteVat    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PquoteSum    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	DiscountRate string `xorm:"not null default 0.0000 DECIMAL(6,4)"`
	DeliDate     string `xorm:"VARCHAR(8)"`
	ConfirmDate  string `xorm:"VARCHAR(8)"`
	Ref1         string `xorm:"VARCHAR(69)"`
	Ref2         string `xorm:"VARCHAR(69)"`
	PquoteMemo   string `xorm:"TEXT"`
	PquoteDesc   string `xorm:"TEXT"`
	Ip           string `xorm:"VARCHAR(20)"`
}

type DbrPurch struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	PorderId     int    `xorm:"not null default 0 INT(10)"`
	PurchNo      string `xorm:"unique VARCHAR(21)"`
	PurchDate    string `xorm:"VARCHAR(8)"`
	StockDate    string `xorm:"VARCHAR(8)"`
	Remarks      string `xorm:"TEXT"`
	UserId       int    `xorm:"not null default 0 INT(10)"`
	IsNotStockIo string `xorm:"not null default '0' CHAR(1)"`
	Ip           string `xorm:"VARCHAR(20)"`
	IsLocked     string `xorm:"not null default '0' CHAR(1)"`
}

type DbrPurchBd struct {
	Id          int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	PurchId     int    `xorm:"not null default 0 INT(10)"`
	PorderBdId  int    `xorm:"not null default 0 INT(10)"`
	SeqNo       int    `xorm:"not null default 0 TINYINT(4)"`
	PurchQty    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	CostPrc     string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PurchSupply string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PurchVat    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	PurchSum    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	Ip          string `xorm:"VARCHAR(20)"`
}

type FedOfficeHost struct {
	Id            int    `xorm:"not null pk autoincr unique INT(10)"`
	CreatedOn     int    `xorm:"not null default unix_timestamp() INT(11)"`
	UpdatedOn     int    `xorm:"not null default unix_timestamp() INT(11)"`
	OfcCode       string `xorm:"not null VARCHAR(21)"`
	OfcPlace      string `xorm:"VARCHAR(128)"`
	OfcName       string `xorm:"VARCHAR(128)"`
	FedOfficeHost string `xorm:"VARCHAR(128)"`
	OfcTaxNo      string `xorm:"VARCHAR(32)"`
	OfcEmail      string `xorm:"VARCHAR(128)"`
	OfcTelNo      string `xorm:"VARCHAR(16)"`
	OfcFaxNo      string `xorm:"VARCHAR(16)"`
	OfcMobile     string `xorm:"VARCHAR(16)"`
	OfcZipCode    string `xorm:"VARCHAR(16)"`
	OfcPresident  string `xorm:"VARCHAR(64)"`
	OfcAddress    string `xorm:"VARCHAR(256)"`
	OfcBizType    string `xorm:"VARCHAR(64)"`
	OfcDealType   string `xorm:"VARCHAR(64)"`
	SalesQtyPoint int    `xorm:"not null default 0 TINYINT(4)"`
	SalesPrcPoint int    `xorm:"not null default 0 TINYINT(4)"`
	SalesAmtPoint int    `xorm:"not null default 0 TINYINT(4)"`
	PurchQtyPoint int    `xorm:"not null default 0 TINYINT(4)"`
	PurchPrcPoint int    `xorm:"not null default 0 TINYINT(4)"`
	PurchAmtPoint int    `xorm:"not null default 0 TINYINT(4)"`
	StockQtyPoint int    `xorm:"not null default 0 TINYINT(4)"`
	StockPrcPoint int    `xorm:"not null default 0 TINYINT(4)"`
	StockAmtPoint int    `xorm:"not null default 0 TINYINT(4)"`
	AccAmtPoint   int    `xorm:"not null default 0 TINYINT(4)"`
}

type DbrUserPerm struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	PermNo    string `xorm:"unique VARCHAR(21)"`
	PermDate  string `xorm:"CHAR(8)"`
	PermName  string `xorm:"VARCHAR(50)"`
	PermDesc  string `xorm:"VARCHAR(200)"`
}

type DbtLogAccess struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	MemberId  int    `xorm:"INT(11)"`
	UserId    int    `xorm:"INT(11)"`
	Url       string `xorm:"VARCHAR(128)"`
	FrontIp   string `xorm:"VARCHAR(16)"`
	FrontHost string `xorm:"VARCHAR(128)"`
	RemoteIp  string `xorm:"VARCHAR(16)"`
	Referer   string `xorm:"VARCHAR(1000)"`
}

type DbrReward struct {
	Id          int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	RewardNo    string `xorm:"unique VARCHAR(21)"`
	RewardDate  string `xorm:"VARCHAR(8)"`
	DealTypeId  int    `xorm:"INT(10)"`
	IsTransfer  string `xorm:"not null default '0' CHAR(1)"`
	FromBuyerId int    `xorm:"not null default 0 INT(10)"`
	ToBuyerId   int    `xorm:"not null default 0 INT(10)"`
	BranchId    int    `xorm:"not null default 0 INT(10)"`
	UserId      int    `xorm:"not null default 0 INT(10)"`
	ManualAmt   string `xorm:"DECIMAL(20,4)"`
	Remarks     string `xorm:"TINYTEXT"`
	Ip          string `xorm:"VARCHAR(20)"`
}

type DbtUploadType1 struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"not null VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"TINYTEXT"`
	C2        string `xorm:"TINYTEXT"`
	C3        string `xorm:"TINYTEXT"`
	C4        string `xorm:"TINYTEXT"`
	C5        string `xorm:"TINYTEXT"`
	C6        string `xorm:"TINYTEXT"`
	C7        string `xorm:"TINYTEXT"`
	C8        string `xorm:"TINYTEXT"`
	C9        string `xorm:"TINYTEXT"`
	C10       string `xorm:"TINYTEXT"`
	C11       string `xorm:"TINYTEXT"`
	C12       string `xorm:"TINYTEXT"`
	C13       string `xorm:"TINYTEXT"`
	C14       string `xorm:"TINYTEXT"`
	C15       string `xorm:"TINYTEXT"`
	C16       string `xorm:"TINYTEXT"`
	C17       string `xorm:"TINYTEXT"`
	C18       string `xorm:"TINYTEXT"`
	C19       string `xorm:"TINYTEXT"`
	C20       string `xorm:"TINYTEXT"`
	C21       string `xorm:"TINYTEXT"`
	C22       string `xorm:"TINYTEXT"`
	C23       string `xorm:"TINYTEXT"`
	C24       string `xorm:"TINYTEXT"`
	C25       string `xorm:"TINYTEXT"`
	C26       string `xorm:"TINYTEXT"`
	C27       string `xorm:"TINYTEXT"`
	C28       string `xorm:"TINYTEXT"`
	C29       string `xorm:"TINYTEXT"`
	C30       string `xorm:"TINYTEXT"`
}

type DbrRewardBd struct {
	Id          int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	HdId        int    `xorm:"not null default 0 INT(11)"`
	BdId        int    `xorm:"not null default 0 INT(11)"`
	RewardId    int    `xorm:"not null default 0 INT(10)"`
	AvailDate   string `xorm:"not null default '0' CHAR(8)"`
	OccurDate   string `xorm:"default '0' CHAR(8)"`
	BranchId    int    `xorm:"not null default 0 INT(10)"`
	UserId      int    `xorm:"not null default 0 INT(10)"`
	DealTypeId  int    `xorm:"not null default 0 INT(10)"`
	IsFromBuyer string `xorm:"CHAR(1)"`
	BuyerId     int    `xorm:"not null default 0 INT(10)"`
	RewardRate  string `xorm:"DECIMAL(4,2)"`
	RewardAmt   string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	AddMsg      string `xorm:"VARCHAR(64)"`
}

type DbrRptCustom struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	CustomCode    string `xorm:"VARCHAR(64)"`
	SeqNo         int    `xorm:"TINYINT(4)"`
	IsCustom      string `xorm:"not null default '0' CHAR(1)"`
	RptName       string `xorm:"VARCHAR(256)"`
	ApiName       string `xorm:"VARCHAR(128)"`
	QueryName     string `xorm:"VARCHAR(128)"`
	ReportPath    string `xorm:"VARCHAR(128)"`
	ReportFmt     string `xorm:"VARCHAR(64)"`
	ServerPrinter string `xorm:"VARCHAR(64)"`
}

type DbrSales struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	SorderId   int    `xorm:"not null default 0 INT(10)"`
	SalesNo    string `xorm:"unique VARCHAR(21)"`
	SalesDate  string `xorm:"VARCHAR(8)"`
	StockDate  string `xorm:"VARCHAR(8)"`
	Remarks    string `xorm:"TEXT"`
	UserId     int    `xorm:"not null default 0 INT(10)"`
	DeliUserId int    `xorm:"INT(10)"`
	Ip         string `xorm:"VARCHAR(20)"`
	IsLocked   string `xorm:"not null default '0' CHAR(1)"`
}

type DbrSalesBd struct {
	Id          int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	SalesId     int    `xorm:"not null default 0 index INT(10)"`
	SorderBdId  int    `xorm:"not null default 0 INT(10)"`
	SeqNo       int    `xorm:"not null default 0 TINYINT(4)"`
	SalesQty    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	CostPrc     string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	SalesSupply string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	SalesVat    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	SalesSum    string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	Ip          string `xorm:"VARCHAR(20)"`
}

type DbtWebcatCart struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	BranchId  int    `xorm:"not null default 1 INT(10)"`
	UserIs    int    `xorm:"not null default 5 INT(10)"`
	ItemCode  string `xorm:"not null VARCHAR(21)"`
	CartPrc   string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
}

type DbrUserPermBd struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UserPermId int    `xorm:"not null INT(10)"`
	UserMenuId int    `xorm:"not null INT(11)"`
	IsUse      string `xorm:"not null CHAR(1)"`
	IsMymenu   string `xorm:"not null default '0' CHAR(1)"`
	IsList     string `xorm:"not null CHAR(1)"`
	IsRead     string `xorm:"not null CHAR(1)"`
	IsCreate   string `xorm:"not null CHAR(1)"`
	IsUpdate   string `xorm:"not null CHAR(1)"`
	IsDelete   string `xorm:"not null CHAR(1)"`
	IsNewtab   string `xorm:"not null default '0' CHAR(1)"`
}

type FedCrystalGuest struct {
	Id        int    `xorm:"not null pk autoincr unique INT(10)"`
	CreatedOn int    `xorm:"not null default unix_timestamp() INT(11)"`
	ListToken string `xorm:"not null VARCHAR(21)"`
	Position  string `xorm:"not null VARCHAR(10)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(64)"`
	C2        string `xorm:"VARCHAR(64)"`
	C3        string `xorm:"VARCHAR(64)"`
	C4        string `xorm:"VARCHAR(64)"`
	C5        string `xorm:"VARCHAR(64)"`
	C6        string `xorm:"VARCHAR(64)"`
	C7        string `xorm:"VARCHAR(64)"`
	C8        string `xorm:"VARCHAR(64)"`
	C9        string `xorm:"VARCHAR(64)"`
	C10       string `xorm:"VARCHAR(64)"`
	C11       string `xorm:"VARCHAR(64)"`
	C12       string `xorm:"VARCHAR(64)"`
	C13       string `xorm:"VARCHAR(64)"`
	C14       string `xorm:"VARCHAR(64)"`
	C15       string `xorm:"VARCHAR(64)"`
	C16       string `xorm:"VARCHAR(64)"`
	C17       string `xorm:"VARCHAR(64)"`
	C18       string `xorm:"VARCHAR(64)"`
	C19       string `xorm:"VARCHAR(64)"`
	C20       string `xorm:"VARCHAR(64)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"MEDIUMTEXT"`
	T2        string `xorm:"MEDIUMTEXT"`
}

type DbrSetup struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	SetupType     string `xorm:"comment('설정구분') VARCHAR(18)"`
	BranchId      int    `xorm:"not null default 0 INT(11)"`
	SetupCode     string `xorm:"not null VARCHAR(36)"`
	BrandCode     string `xorm:"not null default '' VARCHAR(16)"`
	LangType      string `xorm:"not null comment('언어종류') VARCHAR(3)"`
	SeqNo         int    `xorm:"not null default 0 comment('리스트순서') TINYINT(4)"`
	SetupName     string `xorm:"not null VARCHAR(36)"`
	Component     string `xorm:"not null VARCHAR(54)"`
	Parameter     string `xorm:"not null VARCHAR(54)"`
	IsOnUse       string `xorm:"not null default '0' CHAR(1)"`
	IsDefault     string `xorm:"default '0' comment('기본설정여부') CHAR(1)"`
	IsBrandSelect string `xorm:"default '0' comment('나중에지울것') CHAR(1)"`
	SetupJson     string `xorm:"TEXT"`
}

type DbrSgroup struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	AgroupId      int    `xorm:"not null INT(11)"`
	BranchId      int    `xorm:"not null INT(11)"`
	Sort          string `xorm:"not null default '0' CHAR(1)"`
	SgroupCode    string `xorm:"VARCHAR(20)"`
	SgroupName    string `xorm:"not null VARCHAR(49)"`
	SgroupType    string `xorm:"VARCHAR(21)"`
	SgroupManager string `xorm:"VARCHAR(49)"`
	IsUnused      string `xorm:"not null default '0' CHAR(1)"`
}

type DbrSorder struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	SorderDate   string `xorm:"not null default '' index(mdx_buyer_date_pro) index CHAR(8)"`
	SorderNo     string `xorm:"comment('수주번호:자동채번') unique index VARCHAR(21)"`
	SquoteId     int    `xorm:"index INT(10)"`
	DealTypeId   int    `xorm:"not null default 1 comment('거래구분:매출(00)-Default') index INT(10)"`
	UserId       int    `xorm:"not null comment('사용자 id:(5)Default') index INT(10)"`
	SgroupId     int    `xorm:"not null default 1 comment('영업구분:안경사') index INT(10)"`
	Sgroup2Id    int    `xorm:"not null default 1 comment('영업구분:판매사') index INT(10)"`
	BranchId     int    `xorm:"not null default 1 comment('지점:본사(1)Default') index INT(10)"`
	StorageId    int    `xorm:"not null default 1 comment('창고:본사(1)Default') index INT(10)"`
	BuyerId      int    `xorm:"not null default 1 comment('고객id') index index(mdx_buyer_date_pro) INT(10)"`
	VatRateId    int    `xorm:"not null default 1 comment('부가세율:포함(1)Default,별도(0)') index INT(10)"`
	ProjectId    int    `xorm:"not null default 1 comment('crm 쪽의 프로젝트 연결') index INT(10)"`
	BuyerContact string `xorm:"comment('고객담당자') VARCHAR(49)"`
	PayTerms     string `xorm:"comment('지불조건') VARCHAR(69)"`
	PayPeriod    string `xorm:"comment('지불기간') VARCHAR(69)"`
	Destination  string `xorm:"comment('도착지역') VARCHAR(69)"`
	Delivery     string `xorm:"comment('납기') VARCHAR(69)"`
	Status       string `xorm:"comment('상황:완료(3)') CHAR(1)"`
	Situation    string `xorm:"comment('안좋은 상황코드(claim등)') CHAR(2)"`
	IsClosed     string `xorm:"not null comment('종결처리') CHAR(1)"`
	IsFirstOrder string `xorm:"not null default '0' comment('고객의 첫번째 주문여부') CHAR(1)"`
	Column1      string `xorm:"VARCHAR(69)"`
	Column2      string `xorm:"VARCHAR(69)"`
	Remarks      string `xorm:"TEXT"`
	Json1        string `xorm:"comment('검안내용') TEXT"`
	Json2        string `xorm:"comment('현재 사용하지 않음') TEXT"`
	IsPro        string `xorm:"not null default '0' comment('0:ERP주문, 1:온라인주문') index(mdx_buyer_date_pro) CHAR(1)"`
	DiscountAmt  string `xorm:"not null default 0.0000 comment('할인금액') DECIMAL(20,4)"`
	CcardAmt     string `xorm:"not null default 0.0000 comment('신용카드결제액') DECIMAL(20,4)"`
	CashAmt      string `xorm:"not null default 0.0000 comment('현금결제액') DECIMAL(20,4)"`
	CouponAmt    string `xorm:"not null default 0.0000 comment('쿠폰결제액') DECIMAL(20,4)"`
	RewardAmt    string `xorm:"not null default 0.0000 comment('적립금사용액') DECIMAL(20,4)"`
	CreditUseAmt string `xorm:"not null default 0.0000 comment('충전금사용액') DECIMAL(20,4)"`
	X1PayAmt     string `xorm:"not null default 0.0000 comment('X1지불금액') DECIMAL(20,4)"`
	X2PayAmt     string `xorm:"not null default 0.0000 comment('X2지불금액') DECIMAL(20,4)"`
	IsLocked     string `xorm:"not null default '0' comment('정산완료(1)-수정불가') CHAR(1)"`
	ShipContact  string `xorm:"comment('연락처명') VARCHAR(64)"`
	ShipMobile   string `xorm:"comment('배송연락처번호') VARCHAR(21)"`
	ShipMethod   string `xorm:"comment('배송방식') VARCHAR(32)"`
	ShipFee      string `xorm:"default 0.0000 comment('배송비') DECIMAL(20,4)"`
	ShipZipCode  string `xorm:"comment('우편번호') VARCHAR(21)"`
	ShipAddr1    string `xorm:"comment('주소1') VARCHAR(64)"`
	ShipAddr2    string `xorm:"comment('주소2') VARCHAR(64)"`
	ShipNotes    string `xorm:"comment('배송메모') VARCHAR(64)"`
	Paymethod    string `xorm:"not null default '0' comment('결재방식(shop-pay-method setup과 연동)') VARCHAR(16)"`
	RemitAccount string `xorm:"comment('송금받는계좌') VARCHAR(64)"`
	RemitName    string `xorm:"comment('무통장입금자명') VARCHAR(32)"`
	Ip           string `xorm:"VARCHAR(20)"`
}

type EthBlock struct {
	Id          int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	BlockNo     int    `xorm:"default 0 unique(idx_block_no) INT(11)"`
	BlockHash   string `xorm:"index unique(idx_block_no) VARCHAR(68)"`
	TxnCnt      int    `xorm:"default 0 comment('트랜잭션 갯수') INT(11)"`
	UncleCnt    int    `xorm:"default 0 comment('엉클블록 갯수') INT(11)"`
	Miner       string `xorm:"comment('채굴 Account Address') VARCHAR(50)"`
	GasUsed     string `xorm:"comment('개스 사용여부 0:아님, 1.:사용') DECIMAL(11)"`
	GasLimit    string `xorm:"DECIMAL(11)"`
	TrfeeSum    string `xorm:"comment('트랜잭션 fee 합계') DECIMAL(32)"`
	Reward      string `xorm:"comment('블록 보상액') DECIMAL(32)"`
	UncleReward string `xorm:"default 0 comment('엉클블록 보상액') DECIMAL(32)"`
	Status      int    `xorm:"default 0 comment('비정상:0, 정상:1') SMALLINT(6)"`
}

type DbrSorderBd struct {
	Id           int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	SorderId     int    `xorm:"not null default 0 index INT(10)"`
	SquoteBdId   int    `xorm:"not null default 0 index INT(10)"`
	SeqNo        int    `xorm:"not null default 0 TINYINT(4)"`
	ItemId       int    `xorm:"not null default 0 index INT(10)"`
	SorderQty    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	SorderPrc    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CurrPurchPrc string `xorm:"default 0.0000 DECIMAL(20,4)"`
	CurrSalesPrc string `xorm:"default 0.0000 DECIMAL(20,4)"`
	SorderSupply string `xorm:"default 0.0000 DECIMAL(20,4)"`
	SorderVat    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	SorderSum    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	DiscountRate string `xorm:"default 0.0000 DECIMAL(6,4)"`
	Ref1         string `xorm:"VARCHAR(69)"`
	Ref2         string `xorm:"VARCHAR(69)"`
	SorderMemo   string `xorm:"TEXT"`
	SorderDesc   string `xorm:"TEXT"`
	IsEnd        string `xorm:"not null default '0' CHAR(4)"`
	DeliDate     string `xorm:"CHAR(8)"`
	ConfirmDate  string `xorm:"CHAR(8)"`
	CartId       int    `xorm:"not null default 0 comment('연결된 cart 삭제용') INT(11)"`
	Ip           string `xorm:"VARCHAR(20)"`
}

type DbrSorderBdShip struct {
	Id          int    `xorm:"not null pk autoincr INT(11)"`
	UploadBatch string `xorm:"not null default '' comment('업로드 1회처리 모음') VARCHAR(21)"`
	CreatedOn   int64  `xorm:"not null default unix_timestamp() BIGINT(11)"`
	UpdatedOn   int64  `xorm:"not null default unix_timestamp() BIGINT(11)"`
	SorderBdId  int    `xorm:"not null default 0 index INT(11)"`
	ShipDate    string `xorm:"not null default '' comment('배송일자') CHAR(8)"`
	CourierCode string `xorm:"not null default '' comment('배송업체코드') VARCHAR(21)"`
	InvoiceNo   string `xorm:"not null default '' comment('배송장번호') VARCHAR(32)"`
	Sort        string `xorm:"not null default '0' comment('0:전체배송, 1:분할배송, 2:타배송통합') CHAR(1)"`
	Status      string `xorm:"not null default '0' comment('0:발송, 1:출발물류센터, 2:통관, 3:도착물류센터, 4:도착지배송중, 5:배송완료') CHAR(1)"`
	ShipDesc    string `xorm:"comment('배송분할 및 내부내역') TEXT"`
	Ip          string `xorm:"VARCHAR(20)"`
}

type DbrSortMenu struct {
	Id          int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn   int64  `xorm:"not null default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"not null default 0 BIGINT(20)"`
	MenuCode    string `xorm:"not null default '' comment('메뉴코드') VARCHAR(10)"`
	SortType    string `xorm:"not null default '' comment('소트구분') VARCHAR(16)"`
	BgcolorCode string `xorm:"not null default '' comment('메뉴배경색상') VARCHAR(10)"`
	DashPageUrl string `xorm:"not null default '' comment('DashboardPageURL') VARCHAR(100)"`
	Icon        string `xorm:"not null default '0' VARCHAR(69)"`
	IsEnabled   string `xorm:"not null default '0' CHAR(1)"`
}

type DbrSquote struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	SquoteNo       string `xorm:"not null comment('견적번호') unique VARCHAR(21)"`
	SquoteDate     string `xorm:"not null comment('견적일자') VARCHAR(8)"`
	DealTypeId     int    `xorm:"not null comment('거래구분') INT(10)"`
	UserId         int    `xorm:"not null comment('사용자') INT(10)"`
	SgroupId       int    `xorm:"default 0 INT(10)"`
	BranchId       int    `xorm:"not null comment('지사구분') INT(10)"`
	BuyerId        int    `xorm:"not null comment('매출업체') INT(10)"`
	VatRateId      int    `xorm:"not null comment('부가세구분') INT(10)"`
	CompanyContact string `xorm:"comment('업체주담당자') VARCHAR(49)"`
	PayTerms       string `xorm:"comment('지불조건') VARCHAR(69)"`
	PayPeriod      string `xorm:"comment('지불기한') VARCHAR(69)"`
	Destination    string `xorm:"comment('납품장소') VARCHAR(69)"`
	Delivery       string `xorm:"comment('납품기한') VARCHAR(69)"`
	Status         string `xorm:"comment('상태') CHAR(1)"`
	IsClosed       string `xorm:"not null comment('종결여부') CHAR(1)"`
	Column1        string `xorm:"comment('추가정보1') VARCHAR(69)"`
	Column2        string `xorm:"comment('추가정보2') VARCHAR(69)"`
	Remarks        string `xorm:"comment('비고') TEXT"`
	Ip             string `xorm:"comment('입력IP') VARCHAR(20)"`
}

type DbrSquoteBd struct {
	Id           int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	SquoteId     int    `xorm:"not null comment('견적헤드ID') INT(10)"`
	SeqNo        int    `xorm:"not null comment('순서') TINYINT(4)"`
	ItemId       int    `xorm:"not null comment('품목') INT(10)"`
	SquoteQty    string `xorm:"not null default 0.0000 comment('수량') DECIMAL(20,4)"`
	SquotePrc    string `xorm:"not null default 0.0000 comment('단가') DECIMAL(20,4)"`
	SquoteSupply string `xorm:"not null default 0.0000 comment('공급가액') DECIMAL(20,4)"`
	SquoteVat    string `xorm:"not null default 0.0000 comment('부가세액') DECIMAL(20,4)"`
	SquoteSum    string `xorm:"not null default 0.0000 comment('합계금액') DECIMAL(20,4)"`
	DiscountRate string `xorm:"not null default 0.0000 comment('할인율') DECIMAL(6,4)"`
	DeliDate     string `xorm:"comment('요청납기') VARCHAR(8)"`
	ConfirmDate  string `xorm:"comment('확정납기') VARCHAR(8)"`
	Ref1         string `xorm:"comment('옵션1') VARCHAR(69)"`
	Ref2         string `xorm:"comment('옵션2') VARCHAR(69)"`
	SquoteMemo   string `xorm:"comment('품목상세') TEXT"`
	SquoteDesc   string `xorm:"comment('품목설명') TEXT"`
	Ip           string `xorm:"comment('입력IP') VARCHAR(20)"`
}

type DbrStockIo struct {
	Id              int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn       int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn       int64  `xorm:"default 0 BIGINT(20)"`
	SlipCode        string `xorm:"not null default '' CHAR(5)"`
	SlipBdId        int    `xorm:"not null INT(10)"`
	SlipNo          string `xorm:"not null VARCHAR(21)"`
	SeqNo           int    `xorm:"not null TINYINT(4)"`
	IoDate          string `xorm:"not null CHAR(8)"`
	DealTypeId      int    `xorm:"not null INT(10)"`
	StorageId       int    `xorm:"not null INT(10)"`
	CompanyId       int    `xorm:"not null INT(10)"`
	VatRateId       int    `xorm:"not null INT(10)"`
	ItemId          int    `xorm:"not null default 0 INT(10)"`
	IoQty           string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	IoPrc           string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	IoSupply        string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	IoVat           string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	IoSum           string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	MaterialCostPrc string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	LaborCostPrc    string `xorm:"default 0.0000 DECIMAL(20,4)"`
	ExpenseCostPrc  string `xorm:"default 0.0000 DECIMAL(20,4)"`
}

type DbrStorage struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	StorageCode   string `xorm:"not null unique VARCHAR(20)"`
	StorageName   string `xorm:"VARCHAR(49)"`
	Location      string `xorm:"VARCHAR(49)"`
	IsMainStorage string `xorm:"default '0' CHAR(1)"`
	IsBadStorage  string `xorm:"not null default '0' CHAR(1)"`
}

type DbrTextTemplate struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	TextCode  string `xorm:"not null VARCHAR(21)"`
	TextName  string `xorm:"not null VARCHAR(36)"`
	Sort      string `xorm:"default '1' CHAR(1)"`
	TextTitle string `xorm:"VARCHAR(45)"`
	MainText  string `xorm:"not null MEDIUMTEXT"`
	MmsImages string `xorm:"MEDIUMTEXT"`
}

type DbrUserExt struct {
	Id          int    `xorm:"not null pk INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	MobileNo    string `xorm:"VARCHAR(20)"`
	PhoneNo     string `xorm:"VARCHAR(20)"`
	UserPermId  int    `xorm:"not null INT(11)"`
	MenuLangSw  int    `xorm:"not null TINYINT(4)"`
	SgroupId    int    `xorm:"not null INT(11)"`
	BranchId    int    `xorm:"not null INT(11)"`
	StorageId   int    `xorm:"not null INT(10)"`
	AgroupId    int    `xorm:"not null INT(11)"`
	CountryCode string `xorm:"not null CHAR(5)"`
	IsExpired   string `xorm:"not null default '0' CHAR(1)"`
}

type DbrUserMenu struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	SortType     string `xorm:"not null default 'erp' comment('소트메뉴 타입') VARCHAR(12)"`
	MenuCode     string `xorm:"VARCHAR(10)"`
	MenuLang0    string `xorm:"comment('메뉴명') VARCHAR(64)"`
	PageUri      string `xorm:"VARCHAR(100)"`
	ParaName     string `xorm:"VARCHAR(100)"`
	ThemeDir     string `xorm:"VARCHAR(100)"`
	IsSkipped    string `xorm:"not null default '0' comment('메뉴보이지 않음') CHAR(1)"`
	MainAppId    int    `xorm:"not null default 0 comment('메인앱') INT(10)"`
	GuestAppId   int    `xorm:"not null default 0 comment('게스트앱') INT(10)"`
	MenuLang1    string `xorm:"VARCHAR(100)"`
	MenuLang2    string `xorm:"VARCHAR(100)"`
	MenuLang3    string `xorm:"VARCHAR(100)"`
	ManualUri    string `xorm:"VARCHAR(191)"`
	Icon         string `xorm:"VARCHAR(69)"`
	DisableLMenu string `xorm:"default '0' CHAR(1)"`
	EnableRMenu  string `xorm:"default '0' CHAR(1)"`
}

type DbrVatRate struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	SortNo         int    `xorm:"not null default 0 TINYINT(4)"`
	VatName        string `xorm:"VARCHAR(21)"`
	IsIncluded     string `xorm:"not null default '0' CHAR(4)"`
	VatRate        string `xorm:"not null DECIMAL(4,2)"`
	IsSalesDefault string `xorm:"not null default '0' CHAR(1)"`
	IsPurchDefault string `xorm:"not null default '0' CHAR(1)"`
}

type ProCart struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	MemberBuyerId int    `xorm:"not null default 0 index INT(10)"`
	ItemId        int    `xorm:"not null default 0 index INT(10)"`
	GoDetailsId   int    `xorm:"not null default 0 comment('디테일이동품목id') index INT(10)"`
	GoDetailsSlug string `xorm:"not null default '' comment('이동품목 slug(style의 경우도 고려)') VARCHAR(128)"`
	CartQty       string `xorm:"not null default 0.0000 DECIMAL(20,4)"`
	Column1       string `xorm:"not null default '' VARCHAR(49)"`
	Column2       string `xorm:"not null default '' VARCHAR(49)"`
	CartDesc      string `xorm:"not null default '' TEXT"`
	Checked       string `xorm:"not null default '0' comment('Cart Check') CHAR(1)"`
	Ip            string `xorm:"VARCHAR(21)"`
}

type EthContractSol struct {
	Id        int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	CntrAddr  string `xorm:"VARCHAR(64)"`
	CntrId    int    `xorm:"not null INT(11)"`
	MemberId  int    `xorm:"INT(11)"`
	FileName  string `xorm:"VARCHAR(256)"`
	SolCode   string `xorm:"comment('솔리디티 코드') MEDIUMTEXT"`
	Ip        string `xorm:"VARCHAR(20)"`
}

type EthCirculSum struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"not null comment('해당일-Unixtime') BIGINT(20)"`
	SumDate        string `xorm:"default '' comment('집계일자:sum_date+erc_type+cntr_addr->uniqueKey') CHAR(8)"`
	ErcType        string `xorm:"not null default '0' comment('main, erc20, erc721, erc1155') VARCHAR(10)"`
	CntrAddr       string `xorm:"not null default '' comment('main 또는 컨트렉트 주소') VARCHAR(64)"`
	DailyCirculSum string `xorm:"not null default 0 comment('일유통량') DECIMAL(34)"`
	AddBlockCnt    int64  `xorm:"default 0 comment('추가된 블록수') BIGINT(20)"`
	RewardSum      string `xorm:"default 0.0000000 comment('보상합계') DECIMAL(23,7)"`
	AccRewardSum   string `xorm:"default 0.0000000 comment('계정별 보상합계') DECIMAL(23,7)"`
	TxnCnt         int    `xorm:"default 0 comment('트랜잭션 갯수') INT(11)"`
	TxnFailCnt     int    `xorm:"default 0 comment('실패한트랜잭션 갯수') INT(11)"`
}

type EthContract struct {
	Id          int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	TxnHash     string `xorm:"unique VARCHAR(66)"`
	BlockNo     int64  `xorm:"BIGINT(11)"`
	CntrAddr    string `xorm:"comment('main or 컨트랙트 주소') unique VARCHAR(64)"`
	CreatorAddr string `xorm:"VARCHAR(64)"`
	Balance     string `xorm:"default 0 DECIMAL(16)"`
	TxnCnt      int    `xorm:"default 0 INT(11)"`
	OrderBy     int    `xorm:"not null default 0 comment('리스트 순서') TINYINT(4)"`
}

type EthContractAbi struct {
	Id         int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	CntrAddr   string `xorm:"comment('컨트랙트 주소') VARCHAR(64)"`
	CntrId     int    `xorm:"not null INT(11)"`
	MemberId   int    `xorm:"INT(11)"`
	CntrName   string `xorm:"not null VARCHAR(64)"`
	Compiler   string `xorm:"VARCHAR(64)"`
	Version    string `xorm:"VARCHAR(64)"`
	Veried     string `xorm:"VARCHAR(64)"`
	License    string `xorm:"comment('소유자 입력') VARCHAR(64)"`
	AbiCode    string `xorm:"comment('사용abi 코드 입력') MEDIUMTEXT"`
	CreateCode string `xorm:"not null comment('사용코드 입력') MEDIUMTEXT"`
	Ip         string `xorm:"VARCHAR(20)"`
}

type LogBranchClosing struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	BranchId       int    `xorm:"not null default 0 INT(10)"`
	ClosingDate    string `xorm:"not null default '' comment('정산일자') CHAR(8)"`
	UserIdRun      int    `xorm:"not null INT(10)"`
	UserIdApproved int    `xorm:"not null INT(10)"`
	PosClosingId   int    `xorm:"not null INT(10)"`
	IsPos          string `xorm:"not null default '0' comment('POS마감') CHAR(1)"`
	IsSales        string `xorm:"not null default '0' comment('매출마감') CHAR(1)"`
	IsPurch        string `xorm:"not null default '0' comment('매입마감') CHAR(1)"`
	IsStock        string `xorm:"not null default '0' comment('재고수불마감') CHAR(1)"`
	IsAccount      string `xorm:"not null default '0' comment('회계마감') CHAR(1)"`
	IsReward       string `xorm:"not null default '0' comment('적립금마감') CHAR(1)"`
	IsCredit       string `xorm:"not null default '0' comment('충전금마감') CHAR(1)"`
	RemoteIp       string `xorm:"VARCHAR(16)"`
	FrontIp        string `xorm:"VARCHAR(16)"`
}

type LogProcedureRun struct {
	Id               int       `xorm:"not null pk autoincr INT(10)"`
	CreatedOn        int64     `xorm:"default 0 BIGINT(20)"`
	LogToken         string    `xorm:"not null VARCHAR(21)"`
	TokenSeqNo       int       `xorm:"not null default 0 TINYINT(4)"`
	LogDate          time.Time `xorm:"not null default current_timestamp() DATETIME"`
	CallingProcedure string    `xorm:"VARCHAR(128)"`
	ProcedureName    string    `xorm:"VARCHAR(128)"`
	Parameters       string    `xorm:"VARCHAR(256)"`
	ResultCode       string    `xorm:"CHAR(1)"`
	ReturnValue      string    `xorm:"MEDIUMTEXT"`
}

type MainApi23App struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	DeletedOn int64  `xorm:"BIGINT(20)"`
	AppNo     string `xorm:"VARCHAR(21)"`
	AppDate   string `xorm:"CHAR(8)"`
	MemberId  int    `xorm:"not null INT(10)"`
	AppType   string `xorm:"VARCHAR(30)"`
	AppName   string `xorm:"VARCHAR(100)"`
	OriginUrl string `xorm:"VARCHAR(300)"`
	Api23Key  string `xorm:"VARCHAR(512)"`
	Ip        string `xorm:"VARCHAR(20)"`
}

type MainSsoApp struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	DeletedOn    int64  `xorm:"BIGINT(20)"`
	SsoAppNo     string `xorm:"VARCHAR(21)"`
	SsoAppDate   string `xorm:"CHAR(8)"`
	MemberId     int    `xorm:"not null INT(10)"`
	AppType      string `xorm:"VARCHAR(30)"`
	AppName      string `xorm:"VARCHAR(100)"`
	ClientId     string `xorm:"VARCHAR(100)"`
	ClientSecret string `xorm:"VARCHAR(100)"`
	OriginUri    string `xorm:"VARCHAR(300)"`
	RedirectUri  string `xorm:"VARCHAR(300)"`
	IsDaboryApp  int    `xorm:"not null default 0 TINYINT(4)"`
	DbrKeyPair   string `xorm:"VARCHAR(100)"`
	AppBase64    string `xorm:"VARCHAR(512)"`
}

type MainSsoAppBd struct {
	Id          int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	SsoAppId    int    `xorm:"not null INT(10)"`
	SeqNo       int    `xorm:"not null TINYINT(4)"`
	PublicKey   string `xorm:"VARCHAR(100)"`
	MemberId    int    `xorm:"not null INT(10)"`
	AppBase64   string `xorm:"VARCHAR(512)"`
	Ab64Desc    string `xorm:"VARCHAR(128)"`
	IsDiscarded string `xorm:"not null default '0' CHAR(1)"`
}

type MainSsoAppLog struct {
	Id          int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	AppId       int    `xorm:"not null INT(11)"`
	UserId      int    `xorm:"not null INT(11)"`
	IpAddress   string `xorm:"VARCHAR(30)"`
	AccessToken string `xorm:"TEXT"`
}

type ProAppApi struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	ApiCode      string `xorm:"VARCHAR(10)"`
	ApiUri       string `xorm:"VARCHAR(128)"`
	QueryName    string `xorm:"VARCHAR(128)"`
	ApiDesc      string `xorm:"VARCHAR(69)"`
	IsDeprecated string `xorm:"not null default '0' CHAR(1)"`
}

type ProAppGuest struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	AppName   string `xorm:"VARCHAR(64)"`
	ApiUri    string `xorm:"VARCHAR(512)"`
	AppBase64 string `xorm:"VARCHAR(128)"`
	IsOnUse   string `xorm:"not null default '0' CHAR(1)"`
}

type ProAppPerm struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	PermNo    string `xorm:"VARCHAR(21)"`
	PermDate  string `xorm:"CHAR(8)"`
	PermName  string `xorm:"VARCHAR(50)"`
	PermDesc  string `xorm:"VARCHAR(200)"`
}

type ProAppPermBd struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	AppPermId int    `xorm:"not null INT(10)"`
	AppApiId  int    `xorm:"not null INT(10)"`
	IsUse     string `xorm:"not null CHAR(1)"`
}

type ProCompanyContactBd struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	MemberBuyerId int    `xorm:"not null comment('로그인회원-고객id') INT(11)"`
	SeqNo         int    `xorm:"not null default 0 comment('순서') TINYINT(4)"`
	Sort          string `xorm:"not null default '0' comment('종류') CHAR(1)"`
	ContactName   string `xorm:"comment('연락처명') VARCHAR(64)"`
	MobileNo      string `xorm:"comment('모바일번호') VARCHAR(32)"`
}

type ProCompanyCrcardBd struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	CompanyId  int    `xorm:"not null INT(10)"`
	SeqNo      int    `xorm:"not null default 0 comment('순서') TINYINT(4)"`
	CardNo     string `xorm:"comment('카드번호') VARCHAR(21)"`
	HolderName string `xorm:"comment('소유자명') VARCHAR(49)"`
}

type ProCompanyDestinaBd struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	MemberBuyerId int    `xorm:"not null comment('로그인회원-고객id') INT(11)"`
	SeqNo         int    `xorm:"not null default 0 comment('순서') TINYINT(4)"`
	Sort          string `xorm:"not null default '0' comment('종류') CHAR(1)"`
	ZipCode       string `xorm:"comment('우편번호') VARCHAR(21)"`
	Addr1         string `xorm:"comment('주소1') VARCHAR(64)"`
	Addr2         string `xorm:"comment('주소2') VARCHAR(64)"`
}

type ProGuestLog struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	LogDate    string `xorm:"VARCHAR(8)"`
	CurrentUrl string `xorm:"VARCHAR(1000)"`
	RefererUrl string `xorm:"not null VARCHAR(1000)"`
	MemberId   int    `xorm:"not null INT(10)"`
	Ip         string `xorm:"VARCHAR(21)"`
}

type ProItemBadge struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"not null default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"not null default 0 BIGINT(20)"`
	Sort       string `xorm:"not null default '' comment('뱃지종류') VARCHAR(6)"`
	BadgeCode  string `xorm:"not null comment('뱃지 코드') VARCHAR(30)"`
	BadgeName  string `xorm:"not null default '' comment('뱃지명') VARCHAR(6)"`
	LangType   string `xorm:"not null default '' comment('언어구분') VARCHAR(3)"`
	DeviceType string `xorm:"not null default '' comment('기기구분') VARCHAR(10)"`
	BadgeType  string `xorm:"not null default '' comment('뱃지타입') VARCHAR(3)"`
	CssClass   string `xorm:"not null default '' comment('태그이름') VARCHAR(32)"`
	XPos       int    `xorm:"not null default 3 comment('x축위치') TINYINT(4)"`
	YPos       int    `xorm:"not null default 3 comment('y축위치') TINYINT(4)"`
	IsHide     string `xorm:"not null default '0' CHAR(1)"`
}

type ProItemBadpro struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"not null default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"not null default 0 BIGINT(20)"`
	ItemId    int    `xorm:"not null comment('품목 id') INT(11)"`
	SeqNo     int    `xorm:"not null default 0 comment('순서') TINYINT(4)"`
	BadgeCode string `xorm:"not null default '' comment('뱃지코드') VARCHAR(30)"`
	Ip        string `xorm:"not null default '' VARCHAR(21)"`
}

type ProItemRelated struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"not null default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"not null default 0 BIGINT(20)"`
	ItemId        int    `xorm:"not null comment('품목 id') INT(11)"`
	SeqNo         int    `xorm:"not null default 0 comment('순서') TINYINT(4)"`
	ItemRelatedId int    `xorm:"not null default 1 comment('관련품목 id') INT(11)"`
	Ip            string `xorm:"not null default '' VARCHAR(21)"`
}

type ProItemTaxo struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	ItemTaxoNo string `xorm:"comment('분류번호') unique VARCHAR(21)"`
	UserId     int    `xorm:"not null comment('사용자') INT(10)"`
	BranchId   int    `xorm:"not null comment('지사구분') INT(10)"`
	TaxoDate   string `xorm:"comment('분류일자') CHAR(8)"`
	TaxoName   string `xorm:"comment('분류명') VARCHAR(50)"`
	Remarks    string `xorm:"comment('분류설명') TEXT"`
}

type ProItemTaxoBd struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	ItemTaxoId int    `xorm:"not null comment('품목분류ID') INT(10)"`
	SeqNo      int    `xorm:"not null default 0 comment('순서') TINYINT(4)"`
	ItemId     int    `xorm:"not null comment('품목ID') INT(10)"`
	IsSkipped  string `xorm:"not null comment('표시않음') CHAR(1)"`
}

type ProMainMenu struct {
	Id         int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	Sort       string `xorm:"not null default '' comment('primary, top, footer, site-map') VARCHAR(12)"`
	MenuCode   string `xorm:"VARCHAR(10)"`
	LangType   string `xorm:"not null default '''''' comment('언어구분') VARCHAR(3)"`
	DeviceType string `xorm:"not null default '''''' comment('디바이스구분') VARCHAR(10)"`
	MenuName   string `xorm:"not null default '' comment('메인 메뉴명') VARCHAR(64)"`
	LinkType   string `xorm:"not null default '0' comment('0:일반페이지, 1:품목분류, 2:게시판') CHAR(1)"`
	TypeCode   string `xorm:"not null default '' comment('1:품목분류코두 2:게시판구분코드') VARCHAR(32)"`
	PageUri    string `xorm:"not null default '' comment('직접지정 Uri') VARCHAR(516)"`
	Icon       string `xorm:"not null default '' comment('아이콘') VARCHAR(69)"`
	MenuImg    string `xorm:"not null default '' comment('메뉴이미지') VARCHAR(128)"`
	BreadCrumb string `xorm:"not null default '' comment('빵부스러기 길') TEXT"`
	Status     string `xorm:"not null default '' comment('all, login-only, logout-only') VARCHAR(12)"`
	IsSkipped  string `xorm:"not null default '0' comment('사용않음') CHAR(1)"`
}

type ProMember struct {
	Id            int    `xorm:"not null pk autoincr unique INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	DeletedOn     int64  `xorm:"BIGINT(20)"`
	ActivatedOn   int64  `xorm:"BIGINT(20)"`
	LastSeenOn    int64  `xorm:"BIGINT(20)"`
	LastLoginOn   int64  `xorm:"BIGINT(20)"`
	MemberDate    string `xorm:"VARCHAR(8)"`
	Email         string `xorm:"not null unique VARCHAR(64)"`
	Password      string `xorm:"not null VARCHAR(128)"`
	LoginId       string `xorm:"comment('login_id 사용하는경우') VARCHAR(64)"`
	SsoBrand      string `xorm:"VARCHAR(64)"`
	SsoSub        string `xorm:"VARCHAR(64)"`
	ActivateCode  string `xorm:"index VARCHAR(32)"`
	ResetCode     string `xorm:"default 'MD5(RAND())' VARCHAR(32)"`
	NickName      string `xorm:"VARCHAR(128)"`
	FirstName     string `xorm:"VARCHAR(128)"`
	SurName       string `xorm:"VARCHAR(128)"`
	IsActivated   string `xorm:"default '0' CHAR(1)"`
	IsGuest       string `xorm:"not null default '0' CHAR(1)"`
	ProfileImg    string `xorm:"VARCHAR(256)"`
	ProfileWeb    string `xorm:"comment('소셜 페이지등') VARCHAR(256)"`
	ProfileText   string `xorm:"VARCHAR(255)"`
	CreatedIp     string `xorm:"VARCHAR(21)"`
	Sort          string `xorm:"default '0' CHAR(1)"`
	Status        string `xorm:"default '0' CHAR(1)"`
	BuyerId       int    `xorm:"INT(11)"`
	SgroupId      int    `xorm:"not null default 1 INT(11)"`
	SgroupCode    string `xorm:"VARCHAR(20)"`
	LastLoginIp   string `xorm:"VARCHAR(21)"`
	IsWithdrawn   string `xorm:"default '0' CHAR(1)"`
	SsoSubId      int    `xorm:"not null default 0 INT(11)"`
	IsMemberApp   string `xorm:"not null default '0' CHAR(1)"`
	DormantMailOn int64  `xorm:"not null default 0 comment('휴면계정메일보낸 날짜') BIGINT(20)"`
	WithdrawOn    int    `xorm:"not null default 0 comment('탈퇴일') INT(11)"`
	HashedIndex   string `xorm:"default '' comment('휴면계정여부 확인용') index VARCHAR(32)"`
}

type ProMemberApp struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	SsoSubId  int    `xorm:"not null default 0 INT(11)"`
	AppPermId int    `xorm:"not null INT(11)"`
	SgroupId  int    `xorm:"not null INT(11)"`
	BranchId  int    `xorm:"not null INT(11)"`
	StorageId int    `xorm:"not null INT(11)"`
	AgroupId  int    `xorm:"not null INT(11)"`
	IsExpired string `xorm:"not null default '0' CHAR(1)"`
}

type ProMemberDormant struct {
	Id            int    `xorm:"not null pk INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	DeletedOn     int64  `xorm:"BIGINT(20)"`
	Email         string `xorm:"not null unique VARCHAR(64)"`
	LoginId       string `xorm:"not null VARCHAR(64)"`
	SsoBrand      string `xorm:"VARCHAR(64)"`
	SsoSub        string `xorm:"VARCHAR(64)"`
	NickName      string `xorm:"VARCHAR(128)"`
	FirstName     string `xorm:"VARCHAR(128)"`
	SurName       string `xorm:"VARCHAR(128)"`
	ProfileImg    string `xorm:"not null VARCHAR(256)"`
	ProfileWeb    string `xorm:"not null VARCHAR(256)"`
	ProfileText   string `xorm:"VARCHAR(255)"`
	Sort          string `xorm:"default '0' CHAR(1)"`
	Status        string `xorm:"default '0' CHAR(1)"`
	BuyerId       int    `xorm:"INT(11)"`
	SgroupIdRecom int    `xorm:"not null default 0 INT(11)"`
	SgroupCode    string `xorm:"VARCHAR(20)"`
	SsoSubId      int    `xorm:"not null default 0 INT(11)"`
	IsMemberApp   string `xorm:"not null default '0' CHAR(1)"`
	ExtFromHere   string `xorm:"not null default '' CHAR(1)"`
	MobileNo      string `xorm:"VARCHAR(20)"`
	PhoneNo       string `xorm:"VARCHAR(20)"`
	MemberPermId  int    `xorm:"not null INT(11)"`
	MenuLangSw    int    `xorm:"not null TINYINT(4)"`
	SgroupId      int    `xorm:"not null INT(11)"`
	BranchId      int    `xorm:"not null INT(11)"`
	StorageId     int    `xorm:"not null INT(11)"`
	AgroupId      int    `xorm:"not null INT(11)"`
	CountryCode   string `xorm:"not null CHAR(5)"`
}

type ProMemberExt struct {
	Id           int    `xorm:"not null pk INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	MobileNo     string `xorm:"VARCHAR(20)"`
	PhoneNo      string `xorm:"VARCHAR(20)"`
	MemberPermId int    `xorm:"not null INT(11)"`
	MenuLangSw   int    `xorm:"not null TINYINT(4)"`
	SgroupId     int    `xorm:"not null INT(11)"`
	BranchId     int    `xorm:"not null INT(11)"`
	StorageId    int    `xorm:"not null INT(11)"`
	AgroupId     int    `xorm:"not null INT(11)"`
	CountryCode  string `xorm:"not null CHAR(5)"`
	IsExpired    string `xorm:"not null default '0' CHAR(1)"`
}

type ProMemberMenu struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	MenuCode     string `xorm:"VARCHAR(10)"`
	MenuLang0    string `xorm:"comment('메뉴명') VARCHAR(64)"`
	PageUri      string `xorm:"VARCHAR(100)"`
	ParaName     string `xorm:"VARCHAR(100)"`
	ThemeDir     string `xorm:"VARCHAR(100)"`
	IsSkipped    string `xorm:"not null default '0' comment('메뉴보이지 않음') CHAR(1)"`
	MainAppId    int    `xorm:"not null default 0 comment('메인앱') INT(10)"`
	GuestAppId   int    `xorm:"not null default 0 comment('게스트앱') INT(10)"`
	MenuLang1    string `xorm:"VARCHAR(100)"`
	MenuLang2    string `xorm:"VARCHAR(100)"`
	MenuLang3    string `xorm:"VARCHAR(100)"`
	ManualUri    string `xorm:"VARCHAR(191)"`
	Icon         string `xorm:"VARCHAR(69)"`
	DisableLMenu string `xorm:"default '0' CHAR(1)"`
	EnableRMenu  string `xorm:"default '0' CHAR(1)"`
}

type ProMemberPerm struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	PermNo    string `xorm:"VARCHAR(21)"`
	PermDate  string `xorm:"CHAR(8)"`
	PermName  string `xorm:"VARCHAR(50)"`
	PermDesc  string `xorm:"VARCHAR(200)"`
}

type ProMemberPermBd struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	MemberPermId int    `xorm:"not null INT(10)"`
	MemberMenuId int    `xorm:"not null INT(10)"`
	IsUse        string `xorm:"not null CHAR(1)"`
	IsMymenu     string `xorm:"not null default '0' CHAR(1)"`
	IsList       string `xorm:"not null CHAR(1)"`
	IsRead       string `xorm:"not null CHAR(1)"`
	IsCreate     string `xorm:"not null CHAR(1)"`
	IsUpdate     string `xorm:"not null CHAR(1)"`
	IsDelete     string `xorm:"not null CHAR(1)"`
	IsNewtab     string `xorm:"not null default '0' CHAR(1)"`
}

type ProPost struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	PostNo        string `xorm:"not null default '' comment('FormB용 자동번호') unique VARCHAR(21)"`
	ListOrder     int    `xorm:"not null default 0 comment('리스트 순서') INT(11)"`
	OfficialDate  string `xorm:"comment('공식기록일자') CHAR(8)"`
	OfficialTime  string `xorm:"comment('공식기록 시간') CHAR(8)"`
	MemberId      int    `xorm:"not null default 0 INT(11)"`
	UserId        int    `xorm:"default 0 INT(11)"`
	PostTypeId    int    `xorm:"comment('게시판 종류') INT(11)"`
	MediaId       int    `xorm:"not null default 1 comment('미디어라이브러리') INT(11)"`
	PostTitle     string `xorm:"comment('글제목') TEXT"`
	PostContents  string `xorm:"comment('상세내용-html') MEDIUMTEXT"`
	PostExcerpt   string `xorm:"comment('내용축약') TEXT"`
	Status        string `xorm:"CHAR(1)"`
	Sort          string `xorm:"CHAR(1)"`
	Pc1           string `xorm:"comment('추가필드-varchar') VARCHAR(64)"`
	Pc2           string `xorm:"VARCHAR(64)"`
	Pc3           string `xorm:"VARCHAR(64)"`
	Pc4           string `xorm:"VARCHAR(64)"`
	Pc5           string `xorm:"VARCHAR(64)"`
	Pc6           string `xorm:"VARCHAR(64)"`
	Pc7           string `xorm:"VARCHAR(64)"`
	Pc8           string `xorm:"VARCHAR(64)"`
	Pc9           string `xorm:"VARCHAR(64)"`
	Pc10          string `xorm:"VARCHAR(64)"`
	Pd1           string `xorm:"default 0.0000 comment('금액필드-decimal') DECIMAL(20,4)"`
	Pd2           string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd3           string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd4           string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd5           string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd6           string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd7           string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd8           string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd9           string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pd10          string `xorm:"default 0.0000 DECIMAL(20,4)"`
	Pt1           string `xorm:"comment('추가필드-text') TEXT"`
	Pt2           string `xorm:"TEXT"`
	Guid          string `xorm:"comment('사용않음') VARCHAR(255)"`
	PostPassword  string `xorm:"VARCHAR(255)"`
	PostMimeType  string `xorm:"VARCHAR(100)"`
	CommentStatus string `xorm:"VARCHAR(20)"`
	CommentCnt    int    `xorm:"comment('댓글갯수') INT(11)"`
	ParentId      int    `xorm:"comment('부모글id') INT(11)"`
	Ip            string `xorm:"VARCHAR(20)"`
	Duid          string `xorm:"default '' comment('API 클러스터용 UUID') CHAR(36)"`
	PostSlug      string `xorm:"not null default '' comment('게시판슬러그') unique VARCHAR(128)"`
	PostMeta      string `xorm:"not null comment('게시판Seo-Meta') TEXT"`
}

type ZdbSorder struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(200)"`
	C2        string `xorm:"VARCHAR(200)"`
	C3        string `xorm:"VARCHAR(200)"`
	C4        string `xorm:"VARCHAR(200)"`
	C5        string `xorm:"VARCHAR(200)"`
	C6        string `xorm:"VARCHAR(200)"`
	C7        string `xorm:"VARCHAR(200)"`
	C8        string `xorm:"VARCHAR(200)"`
	C9        string `xorm:"VARCHAR(200)"`
	C10       string `xorm:"VARCHAR(200)"`
	C11       string `xorm:"VARCHAR(200)"`
	C12       string `xorm:"VARCHAR(200)"`
	C13       string `xorm:"VARCHAR(200)"`
	C14       string `xorm:"VARCHAR(200)"`
	C15       string `xorm:"VARCHAR(200)"`
	C16       string `xorm:"VARCHAR(200)"`
	C17       string `xorm:"VARCHAR(200)"`
	C18       string `xorm:"VARCHAR(200)"`
	C19       string `xorm:"VARCHAR(200)"`
	C20       string `xorm:"VARCHAR(200)"`
	C21       string `xorm:"VARCHAR(200)"`
	C22       string `xorm:"VARCHAR(200)"`
	C23       string `xorm:"VARCHAR(200)"`
	C24       string `xorm:"VARCHAR(200)"`
	C25       string `xorm:"VARCHAR(200)"`
	C26       string `xorm:"VARCHAR(200)"`
	C27       string `xorm:"VARCHAR(200)"`
	C28       string `xorm:"VARCHAR(200)"`
	C29       string `xorm:"VARCHAR(200)"`
	C30       string `xorm:"VARCHAR(200)"`
	C31       string `xorm:"VARCHAR(200)"`
	C32       string `xorm:"VARCHAR(200)"`
	C33       string `xorm:"VARCHAR(200)"`
	C34       string `xorm:"VARCHAR(200)"`
	C35       string `xorm:"VARCHAR(200)"`
	C36       string `xorm:"VARCHAR(200)"`
	C37       string `xorm:"VARCHAR(200)"`
	C38       string `xorm:"VARCHAR(200)"`
	C39       string `xorm:"VARCHAR(200)"`
	C40       string `xorm:"VARCHAR(200)"`
}

type ZspTestLog struct {
	Id      int       `xorm:"not null pk autoincr INT(10)"`
	LogTime time.Time `xorm:"default current_timestamp() TIMESTAMP"`
	C1      string    `xorm:"VARCHAR(64)"`
	C2      string    `xorm:"VARCHAR(64)"`
	C3      string    `xorm:"VARCHAR(64)"`
	C4      string    `xorm:"VARCHAR(64)"`
	C5      string    `xorm:"VARCHAR(64)"`
	C6      string    `xorm:"VARCHAR(64)"`
	C7      string    `xorm:"VARCHAR(64)"`
	C8      string    `xorm:"VARCHAR(64)"`
	C9      string    `xorm:"VARCHAR(64)"`
	C10     string    `xorm:"VARCHAR(64)"`
	T1      string    `xorm:"MEDIUMTEXT"`
	T2      string    `xorm:"MEDIUMTEXT"`
	D1      int       `xorm:"INT(11)"`
}

type ProPostBd struct {
	Id             int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	PostId         int    `xorm:"default 0 INT(11)"`
	MemberId       int    `xorm:"not null INT(11)"`
	UserId         int    `xorm:"default 0 INT(11)"`
	BdSlug         string `xorm:"VARCHAR(200)"`
	BdContents     string `xorm:"LONGTEXT"`
	BdExcerpt      string `xorm:"TEXT"`
	BdPostPassword string `xorm:"VARCHAR(255)"`
	BdGuid         string `xorm:"VARCHAR(255)"`
	BdPingStatus   string `xorm:"VARCHAR(20)"`
	BdToPing       string `xorm:"TEXT"`
	BdPinged       string `xorm:"TEXT"`
	BdPostMimeType string `xorm:"VARCHAR(100)"`
	ParentId       int    `xorm:"INT(11)"`
	Ip             string `xorm:"VARCHAR(20)"`
}

type ProPostLang struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	PostId       int    `xorm:"comment('post_id') INT(11)"`
	SeqNo        int    `xorm:"not null default 0 comment('일련번호') TINYINT(4)"`
	LangType     string `xorm:"comment('언어코드') VARCHAR(3)"`
	LangTitle    string `xorm:"comment('글제목') TEXT"`
	LangContents string `xorm:"comment('상세내용-html') MEDIUMTEXT"`
	LangExcerpt  string `xorm:"comment('내용축약') TEXT"`
	LangPc1      string `xorm:"comment('추가필드-varchar') VARCHAR(64)"`
	LangPc2      string `xorm:"VARCHAR(64)"`
	LangPc3      string `xorm:"VARCHAR(64)"`
	LangPc4      string `xorm:"VARCHAR(64)"`
	LangPc5      string `xorm:"VARCHAR(64)"`
	LangPc6      string `xorm:"VARCHAR(64)"`
	LangPc7      string `xorm:"VARCHAR(64)"`
	LangPc8      string `xorm:"VARCHAR(64)"`
	LangPc9      string `xorm:"VARCHAR(64)"`
	LangPc10     string `xorm:"VARCHAR(64)"`
	LangPt1      string `xorm:"comment('추가필드-text') TEXT"`
	LangPt2      string `xorm:"TEXT"`
	LangMeta     string `xorm:"not null comment('게시판Seo-Meta') TEXT"`
	Ip           string `xorm:"VARCHAR(20)"`
}

type ProPostType struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	SeqNo     int    `xorm:"not null default 0 comment('리스트 순서') TINYINT(4)"`
	Sort      string `xorm:"not null default '' comment('종류코드') VARCHAR(3)"`
	PostCode  string `xorm:"not null default '' comment('쿼리필터용 코드') VARCHAR(21)"`
	BrandCode string `xorm:"not null default '' comment('종속코드') VARCHAR(16)"`
	SortDesc  string `xorm:"not null default '' comment('게시판 설정') VARCHAR(36)"`
	Duid      string `xorm:"not null default '' CHAR(36)"`
	TypeSlug  string `xorm:"not null default '' comment('게시판구분슬러그') unique VARCHAR(128)"`
	TypeMeta  string `xorm:"not null default ' ' comment('게시판구분Seo-Meta') TEXT"`
	Status    string `xorm:"not null default '0' CHAR(1)"`
	IsUnused  string `xorm:"not null default '0' CHAR(1)"`
	Ip        string `xorm:"not null default '' VARCHAR(21)"`
}

type ProSeoMeta struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn int64  `xorm:"default 0 BIGINT(20)"`
	JoinDuid  string `xorm:"not null default '' unique CHAR(36)"`
	SeoSlug   string `xorm:"VARCHAR(256)"`
	SeoJson   string `xorm:"not null default '' TEXT"`
	Ip        string `xorm:"not null default '' VARCHAR(21)"`
}

type ProSorderShop struct {
	Id            int    `xorm:"not null pk INT(11)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	Paymethod     string `xorm:"not null default '0' comment('결재방식') CHAR(2)"`
	ShipMethod    string `xorm:"comment('배송방식') VARCHAR(32)"`
	ShipfeeAmt    string `xorm:"default 0.0000 comment('배송비') DECIMAL(20,4)"`
	ContactName   string `xorm:"comment('연락처명') VARCHAR(64)"`
	ContactMobile string `xorm:"comment('모바일번호') VARCHAR(21)"`
	ZipCode       string `xorm:"comment('우편번호') VARCHAR(21)"`
	Addr1         string `xorm:"comment('주소1') VARCHAR(64)"`
	Addr2         string `xorm:"comment('주소2') VARCHAR(64)"`
}

type ProTicketBd struct {
	Id            int       `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64     `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64     `xorm:"default 0 BIGINT(20)"`
	TicketId      int64     `xorm:"not null BIGINT(20)"`
	AuthorId      int64     `xorm:"not null BIGINT(20)"`
	Content       string    `xorm:"not null LONGTEXT"`
	Meta          string    `xorm:"LONGTEXT"`
	AttachmentIds string    `xorm:"not null MEDIUMTEXT"`
	IsPrivate     string    `xorm:"not null default '0' CHAR(1)"`
	IsStaffReply  string    `xorm:"not null default '0' CHAR(1)"`
	IsViaEmail    string    `xorm:"not null default '0' CHAR(1)"`
	DateCreated   time.Time `xorm:"not null DATETIME"`
}

type ProWidgetTaxo struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"not null default 0 BIGINT(11)"`
	UpdatedOn    int64  `xorm:"not null default 0 BIGINT(11)"`
	WidgetTaxoNo string `xorm:"comment('분류번호') unique VARCHAR(21)"`
	TaxoCode     string `xorm:"not null default '' comment('데이터필터용 텍소코드') VARCHAR(30)"`
	LangType     string `xorm:"not null default '' comment('언어구분') VARCHAR(3)"`
	DeviceType   string `xorm:"not null default '' comment('디바이스구분') VARCHAR(10)"`
	UserId       int    `xorm:"not null default 1 comment('사용자') INT(10)"`
	BranchId     int    `xorm:"not null default 1 comment('지사구분') INT(10)"`
	TaxoDate     string `xorm:"not null default '' comment('분류일자') CHAR(8)"`
	SubPosition  string `xorm:"not null default '' comment('main, sub page 정렬코드') VARCHAR(8)"`
	TaxoName     string `xorm:"not null default '' comment('분류명') VARCHAR(50)"`
	TaxoHtml     string `xorm:"not null default '' comment('body html') TEXT"`
	Remarks      string `xorm:"not null default '' comment('분류설명 memo') TEXT"`
}

type ProWidgetTaxoBd struct {
	Id           int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	WidgetTaxoId int    `xorm:"not null comment('배너분류ID') INT(10)"`
	SeqNo        int    `xorm:"not null default 0 comment('순서') TINYINT(4)"`
	MediaId      int    `xorm:"not null default 1 INT(11)"`
	LinkUrl      string `xorm:"default 'NULL' comment('링크URL') TEXT"`
	WidgetDesc   string `xorm:"comment('widget 내용') TEXT"`
	LayerJson    string `xorm:"comment('layer bd 추가') TEXT"`
	IsSkipped    string `xorm:"not null comment('표시않음') CHAR(1)"`
}

type ProWish struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	WishDate      string `xorm:"not null default '구독신청일' index CHAR(8)"`
	WishNo        string `xorm:"comment('구독번호') unique VARCHAR(21)"`
	MemberBuyerId int    `xorm:"not null default 0 comment('고객id') INT(10)"`
	ItemId        int    `xorm:"not null default 0 comment('품목코드') index INT(10)"`
	WishQty       string `xorm:"not null default 0.0000 comment('위시수량') DECIMAL(20,4)"`
	WishPrc       string `xorm:"not null default 0.0000 comment('위시가격') DECIMAL(20,4)"`
	WishAmt       string `xorm:"not null default 0.0000 comment('위시금액') DECIMAL(20,4)"`
	Column1       string `xorm:"comment('추가항목2') VARCHAR(49)"`
	Column2       string `xorm:"comment('추가항목2') VARCHAR(49)"`
	WishDesc      string `xorm:"comment('상세내용') MEDIUMTEXT"`
	IsSubscribed  string `xorm:"not null default '0' comment('구독여부') CHAR(4)"`
	Ip            string `xorm:"VARCHAR(21)"`
}

type UptDbupdate struct {
	Id            int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	DbupdateNo    string `xorm:"unique VARCHAR(21)"`
	UserId        int    `xorm:"not null default 0 INT(10)"`
	Sort          string `xorm:"VARCHAR(21)"`
	RelatedTables string `xorm:"VARCHAR(128)"`
	SqlCommand    string `xorm:"MEDIUMTEXT"`
	IsConfirmed   string `xorm:"not null default '0' CHAR(1)"`
	Ip            string `xorm:"VARCHAR(20)"`
}

type UptEncrypt struct {
	Id          int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn   int64  `xorm:"default 0 BIGINT(20)"`
	EncryptCode string `xorm:"unique VARCHAR(50)"`
	UserId      int    `xorm:"not null default 0 INT(10)"`
	Sort        string `xorm:"VARCHAR(21)"`
	EncryptKey  string `xorm:"VARCHAR(256)"`
	SaltKey     string `xorm:"VARCHAR(256)"`
	Ip          string `xorm:"VARCHAR(20)"`
}

type Users struct {
	Id                int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn         int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn         int64  `xorm:"default 0 BIGINT(20)"`
	DeletedOn         int64  `xorm:"BIGINT(20)"`
	ActivatedOn       int64  `xorm:"BIGINT(20)"`
	LastLoginOn       int64  `xorm:"BIGINT(20)"`
	LastSeenOn        int64  `xorm:"BIGINT(10)"`
	UsersDate         string `xorm:"VARCHAR(8)"`
	Email             string `xorm:"not null unique VARCHAR(191)"`
	Password          string `xorm:"not null VARCHAR(191)"`
	SsoBrand          string `xorm:"VARCHAR(64)"`
	SsoSub            string `xorm:"VARCHAR(64)"`
	LoginId           string `xorm:"VARCHAR(64)"`
	ResetPasswordCode string `xorm:"VARCHAR(191)"`
	ActivateCode      string `xorm:"not null VARCHAR(64)"`
	ResetCode         string `xorm:"default 'MD5(RAND()) ' VARCHAR(32)"`
	NickName          string `xorm:"VARCHAR(191)"`
	FirstName         string `xorm:"VARCHAR(191)"`
	SurName           string `xorm:"VARCHAR(191)"`
	IsGuest           string `xorm:"not null default '0' CHAR(1)"`
	IsActivated       string `xorm:"not null default '0' CHAR(1)"`
	IsSuperuser       string `xorm:"not null default '0' CHAR(1)"`
	Sort              string `xorm:"default '0' CHAR(1)"`
	Status            string `xorm:"CHAR(1)"`
	CreatedIp         string `xorm:"VARCHAR(21)"`
	LastloginIp       string `xorm:"VARCHAR(21)"`
	IsWithdrawn       string `xorm:"default '0' CHAR(1)"`
}

type ZdbSupplier struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(200)"`
	C2        string `xorm:"VARCHAR(200)"`
	C3        string `xorm:"VARCHAR(200)"`
	C4        string `xorm:"VARCHAR(200)"`
	C5        string `xorm:"VARCHAR(200)"`
	C6        string `xorm:"VARCHAR(200)"`
	C7        string `xorm:"VARCHAR(200)"`
	C8        string `xorm:"VARCHAR(200)"`
	C9        string `xorm:"VARCHAR(200)"`
	C10       string `xorm:"VARCHAR(200)"`
	C11       string `xorm:"VARCHAR(200)"`
	C12       string `xorm:"VARCHAR(200)"`
	C13       string `xorm:"VARCHAR(200)"`
	C14       string `xorm:"VARCHAR(200)"`
	C15       string `xorm:"VARCHAR(200)"`
	C16       string `xorm:"VARCHAR(200)"`
	C17       string `xorm:"VARCHAR(200)"`
	C18       string `xorm:"VARCHAR(200)"`
	C19       string `xorm:"VARCHAR(200)"`
	C20       string `xorm:"VARCHAR(200)"`
	C21       string `xorm:"VARCHAR(200)"`
	C22       string `xorm:"VARCHAR(200)"`
	C23       string `xorm:"VARCHAR(200)"`
	C24       string `xorm:"VARCHAR(200)"`
	C25       string `xorm:"VARCHAR(200)"`
	C26       string `xorm:"VARCHAR(200)"`
	C27       string `xorm:"VARCHAR(200)"`
	C28       string `xorm:"VARCHAR(200)"`
	C29       string `xorm:"VARCHAR(200)"`
	C30       string `xorm:"VARCHAR(200)"`
	C31       string `xorm:"VARCHAR(200)"`
	C32       string `xorm:"VARCHAR(200)"`
	C33       string `xorm:"VARCHAR(200)"`
	C34       string `xorm:"VARCHAR(200)"`
	C35       string `xorm:"VARCHAR(200)"`
	C36       string `xorm:"VARCHAR(200)"`
	C37       string `xorm:"VARCHAR(200)"`
	C38       string `xorm:"VARCHAR(200)"`
	C39       string `xorm:"VARCHAR(200)"`
	C40       string `xorm:"VARCHAR(200)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D11       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D12       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D13       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D14       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D15       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D16       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D17       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D18       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D19       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D20       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"TEXT"`
	T2        string `xorm:"TEXT"`
	T3        string `xorm:"TEXT"`
	T4        string `xorm:"TEXT"`
}

type ZdbBuyer struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(200)"`
	C2        string `xorm:"VARCHAR(200)"`
	C3        string `xorm:"VARCHAR(200)"`
	C4        string `xorm:"VARCHAR(200)"`
	C5        string `xorm:"VARCHAR(200)"`
	C6        string `xorm:"VARCHAR(200)"`
	C7        string `xorm:"VARCHAR(200)"`
	C8        string `xorm:"VARCHAR(200)"`
	C9        string `xorm:"VARCHAR(200)"`
	C10       string `xorm:"VARCHAR(200)"`
	C11       string `xorm:"VARCHAR(200)"`
	C12       string `xorm:"VARCHAR(200)"`
	C13       string `xorm:"VARCHAR(200)"`
	C14       string `xorm:"VARCHAR(200)"`
	C15       string `xorm:"VARCHAR(200)"`
	C16       string `xorm:"VARCHAR(200)"`
	C17       string `xorm:"VARCHAR(200)"`
	C18       string `xorm:"VARCHAR(200)"`
	C19       string `xorm:"VARCHAR(200)"`
	C20       string `xorm:"VARCHAR(200)"`
	C21       string `xorm:"VARCHAR(200)"`
	C22       string `xorm:"VARCHAR(200)"`
	C23       string `xorm:"VARCHAR(200)"`
	C24       string `xorm:"VARCHAR(200)"`
	C25       string `xorm:"VARCHAR(200)"`
	C26       string `xorm:"VARCHAR(200)"`
	C27       string `xorm:"VARCHAR(200)"`
	C28       string `xorm:"VARCHAR(200)"`
	C29       string `xorm:"VARCHAR(200)"`
	C30       string `xorm:"VARCHAR(200)"`
	C31       string `xorm:"VARCHAR(200)"`
	C32       string `xorm:"VARCHAR(200)"`
	C33       string `xorm:"VARCHAR(200)"`
	C34       string `xorm:"VARCHAR(200)"`
	C35       string `xorm:"VARCHAR(200)"`
	C36       string `xorm:"VARCHAR(200)"`
	C37       string `xorm:"VARCHAR(200)"`
	C38       string `xorm:"VARCHAR(200)"`
	C39       string `xorm:"VARCHAR(200)"`
	C40       string `xorm:"VARCHAR(200)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D11       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D12       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D13       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D14       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D15       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D16       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D17       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D18       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D19       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D20       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"TEXT"`
	T2        string `xorm:"TEXT"`
	T3        string `xorm:"TEXT"`
	T4        string `xorm:"TEXT"`
}

type ZdbEyetest struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(64)"`
	C2        string `xorm:"VARCHAR(64)"`
	C3        string `xorm:"VARCHAR(64)"`
	C4        string `xorm:"VARCHAR(64)"`
	C5        string `xorm:"VARCHAR(64)"`
	C6        string `xorm:"VARCHAR(64)"`
	C7        string `xorm:"VARCHAR(64)"`
	C8        string `xorm:"VARCHAR(64)"`
	C9        string `xorm:"VARCHAR(64)"`
	C10       string `xorm:"VARCHAR(64)"`
	C11       string `xorm:"VARCHAR(64)"`
	C12       string `xorm:"VARCHAR(64)"`
	C13       string `xorm:"VARCHAR(64)"`
	C14       string `xorm:"VARCHAR(64)"`
	C15       string `xorm:"VARCHAR(64)"`
	C16       string `xorm:"VARCHAR(64)"`
	C17       string `xorm:"VARCHAR(64)"`
	C18       string `xorm:"VARCHAR(64)"`
	C19       string `xorm:"VARCHAR(64)"`
	C20       string `xorm:"VARCHAR(64)"`
	C21       string `xorm:"VARCHAR(64)"`
	C22       string `xorm:"VARCHAR(64)"`
	C23       string `xorm:"VARCHAR(64)"`
	C24       string `xorm:"VARCHAR(64)"`
	C25       string `xorm:"VARCHAR(64)"`
	C26       string `xorm:"VARCHAR(64)"`
	C27       string `xorm:"VARCHAR(64)"`
	C28       string `xorm:"VARCHAR(64)"`
	C29       string `xorm:"VARCHAR(64)"`
	C30       string `xorm:"VARCHAR(64)"`
	C31       string `xorm:"VARCHAR(64)"`
	C32       string `xorm:"VARCHAR(64)"`
	C33       string `xorm:"VARCHAR(64)"`
	C34       string `xorm:"VARCHAR(64)"`
	C35       string `xorm:"VARCHAR(64)"`
	C36       string `xorm:"VARCHAR(64)"`
	C37       string `xorm:"VARCHAR(64)"`
	C38       string `xorm:"VARCHAR(64)"`
	C39       string `xorm:"VARCHAR(64)"`
	C40       string `xorm:"VARCHAR(64)"`
}

type ZdbItem struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(200)"`
	C2        string `xorm:"VARCHAR(200)"`
	C3        string `xorm:"VARCHAR(200)"`
	C4        string `xorm:"VARCHAR(200)"`
	C5        string `xorm:"VARCHAR(200)"`
	C6        string `xorm:"VARCHAR(200)"`
	C7        string `xorm:"VARCHAR(200)"`
	C8        string `xorm:"VARCHAR(200)"`
	C9        string `xorm:"VARCHAR(200)"`
	C10       string `xorm:"VARCHAR(200)"`
	C11       string `xorm:"VARCHAR(200)"`
	C12       string `xorm:"VARCHAR(200)"`
	C13       string `xorm:"VARCHAR(200)"`
	C14       string `xorm:"VARCHAR(200)"`
	C15       string `xorm:"VARCHAR(200)"`
	C16       string `xorm:"VARCHAR(200)"`
	C17       string `xorm:"VARCHAR(200)"`
	C18       string `xorm:"VARCHAR(200)"`
	C19       string `xorm:"VARCHAR(200)"`
	C20       string `xorm:"VARCHAR(200)"`
	C21       string `xorm:"VARCHAR(200)"`
	C22       string `xorm:"VARCHAR(200)"`
	C23       string `xorm:"VARCHAR(200)"`
	C24       string `xorm:"VARCHAR(200)"`
	C25       string `xorm:"VARCHAR(200)"`
	C26       string `xorm:"VARCHAR(200)"`
	C27       string `xorm:"VARCHAR(200)"`
	C28       string `xorm:"VARCHAR(200)"`
	C29       string `xorm:"VARCHAR(200)"`
	C30       string `xorm:"VARCHAR(200)"`
	C31       string `xorm:"VARCHAR(200)"`
	C32       string `xorm:"VARCHAR(200)"`
	C33       string `xorm:"VARCHAR(200)"`
	C34       string `xorm:"VARCHAR(200)"`
	C35       string `xorm:"VARCHAR(200)"`
	C36       string `xorm:"VARCHAR(200)"`
	C37       string `xorm:"VARCHAR(200)"`
	C38       string `xorm:"VARCHAR(200)"`
	C39       string `xorm:"VARCHAR(200)"`
	C40       string `xorm:"VARCHAR(200)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D11       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D12       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D13       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D14       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D15       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D16       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D17       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D18       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D19       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D20       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"TEXT"`
	T2        string `xorm:"TEXT"`
	T3        string `xorm:"TEXT"`
	T4        string `xorm:"TEXT"`
}

type ZdbListType1 struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(200)"`
	C2        string `xorm:"VARCHAR(200)"`
	C3        string `xorm:"VARCHAR(200)"`
	C4        string `xorm:"VARCHAR(200)"`
	C5        string `xorm:"VARCHAR(200)"`
	C6        string `xorm:"VARCHAR(200)"`
	C7        string `xorm:"VARCHAR(200)"`
	C8        string `xorm:"VARCHAR(200)"`
	C9        string `xorm:"VARCHAR(200)"`
	C10       string `xorm:"VARCHAR(200)"`
	C11       string `xorm:"VARCHAR(200)"`
	C12       string `xorm:"VARCHAR(200)"`
	C13       string `xorm:"VARCHAR(200)"`
	C14       string `xorm:"VARCHAR(200)"`
	C15       string `xorm:"VARCHAR(200)"`
	C16       string `xorm:"VARCHAR(200)"`
	C17       string `xorm:"VARCHAR(200)"`
	C18       string `xorm:"VARCHAR(200)"`
	C19       string `xorm:"VARCHAR(200)"`
	C20       string `xorm:"VARCHAR(200)"`
	C21       string `xorm:"VARCHAR(200)"`
	C22       string `xorm:"VARCHAR(200)"`
	C23       string `xorm:"VARCHAR(200)"`
	C24       string `xorm:"VARCHAR(200)"`
	C25       string `xorm:"VARCHAR(200)"`
	C26       string `xorm:"VARCHAR(200)"`
	C27       string `xorm:"VARCHAR(200)"`
	C28       string `xorm:"VARCHAR(200)"`
	C29       string `xorm:"VARCHAR(200)"`
	C30       string `xorm:"VARCHAR(200)"`
	C31       string `xorm:"VARCHAR(200)"`
	C32       string `xorm:"VARCHAR(200)"`
	C33       string `xorm:"VARCHAR(200)"`
	C34       string `xorm:"VARCHAR(200)"`
	C35       string `xorm:"VARCHAR(200)"`
	C36       string `xorm:"VARCHAR(200)"`
	C37       string `xorm:"VARCHAR(200)"`
	C38       string `xorm:"VARCHAR(200)"`
	C39       string `xorm:"VARCHAR(200)"`
	C40       string `xorm:"VARCHAR(200)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D11       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D12       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D13       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D14       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D15       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D16       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D17       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D18       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D19       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D20       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"TEXT"`
	T2        string `xorm:"TEXT"`
	T3        string `xorm:"TEXT"`
	T4        string `xorm:"TEXT"`
}

type ZdbNonitem struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(200)"`
	C2        string `xorm:"VARCHAR(200)"`
	C3        string `xorm:"VARCHAR(200)"`
	C4        string `xorm:"VARCHAR(200)"`
	C5        string `xorm:"VARCHAR(200)"`
	C6        string `xorm:"VARCHAR(200)"`
	C7        string `xorm:"VARCHAR(200)"`
	C8        string `xorm:"VARCHAR(200)"`
	C9        string `xorm:"VARCHAR(200)"`
	C10       string `xorm:"VARCHAR(200)"`
	C11       string `xorm:"VARCHAR(200)"`
	C12       string `xorm:"VARCHAR(200)"`
	C13       string `xorm:"VARCHAR(200)"`
	C14       string `xorm:"VARCHAR(200)"`
	C15       string `xorm:"VARCHAR(200)"`
	C16       string `xorm:"VARCHAR(200)"`
	C17       string `xorm:"VARCHAR(200)"`
	C18       string `xorm:"VARCHAR(200)"`
	C19       string `xorm:"VARCHAR(200)"`
	C20       string `xorm:"VARCHAR(200)"`
	C21       string `xorm:"VARCHAR(200)"`
	C22       string `xorm:"VARCHAR(200)"`
	C23       string `xorm:"VARCHAR(200)"`
	C24       string `xorm:"VARCHAR(200)"`
	C25       string `xorm:"VARCHAR(200)"`
	C26       string `xorm:"VARCHAR(200)"`
	C27       string `xorm:"VARCHAR(200)"`
	C28       string `xorm:"VARCHAR(200)"`
	C29       string `xorm:"VARCHAR(200)"`
	C30       string `xorm:"VARCHAR(200)"`
	C31       string `xorm:"VARCHAR(200)"`
	C32       string `xorm:"VARCHAR(200)"`
	C33       string `xorm:"VARCHAR(200)"`
	C34       string `xorm:"VARCHAR(200)"`
	C35       string `xorm:"VARCHAR(200)"`
	C36       string `xorm:"VARCHAR(200)"`
	C37       string `xorm:"VARCHAR(200)"`
	C38       string `xorm:"VARCHAR(200)"`
	C39       string `xorm:"VARCHAR(200)"`
	C40       string `xorm:"VARCHAR(200)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D11       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D12       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D13       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D14       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D15       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D16       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D17       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D18       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D19       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D20       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"TEXT"`
	T2        string `xorm:"TEXT"`
	T3        string `xorm:"TEXT"`
	T4        string `xorm:"TEXT"`
}

type ZdbSales struct {
	TId       int    `xorm:"not null pk autoincr unique INT(10)"`
	Id        int    `xorm:"INT(10)"`
	CreatedOn int64  `xorm:"default 0 BIGINT(20)"`
	ListToken string `xorm:"VARCHAR(21)"`
	OrderBy   string `xorm:"VARCHAR(32)"`
	C1        string `xorm:"VARCHAR(100)"`
	C2        string `xorm:"VARCHAR(100)"`
	C3        string `xorm:"VARCHAR(100)"`
	C4        string `xorm:"VARCHAR(100)"`
	C5        string `xorm:"VARCHAR(100)"`
	C6        string `xorm:"VARCHAR(100)"`
	C7        string `xorm:"VARCHAR(100)"`
	C8        string `xorm:"VARCHAR(100)"`
	C9        string `xorm:"VARCHAR(100)"`
	C10       string `xorm:"VARCHAR(100)"`
	C11       string `xorm:"VARCHAR(100)"`
	C12       string `xorm:"VARCHAR(100)"`
	C13       string `xorm:"VARCHAR(100)"`
	C14       string `xorm:"VARCHAR(100)"`
	C15       string `xorm:"VARCHAR(100)"`
	C16       string `xorm:"VARCHAR(100)"`
	C17       string `xorm:"VARCHAR(100)"`
	C18       string `xorm:"VARCHAR(100)"`
	C19       string `xorm:"VARCHAR(100)"`
	C20       string `xorm:"VARCHAR(100)"`
	C21       string `xorm:"VARCHAR(100)"`
	C22       string `xorm:"VARCHAR(100)"`
	C23       string `xorm:"VARCHAR(100)"`
	C24       string `xorm:"VARCHAR(100)"`
	C25       string `xorm:"VARCHAR(100)"`
	C26       string `xorm:"VARCHAR(100)"`
	C27       string `xorm:"VARCHAR(100)"`
	C28       string `xorm:"VARCHAR(100)"`
	C29       string `xorm:"VARCHAR(100)"`
	C30       string `xorm:"VARCHAR(100)"`
	C31       string `xorm:"VARCHAR(100)"`
	C32       string `xorm:"VARCHAR(100)"`
	C33       string `xorm:"VARCHAR(100)"`
	C34       string `xorm:"VARCHAR(100)"`
	C35       string `xorm:"VARCHAR(100)"`
	C36       string `xorm:"VARCHAR(100)"`
	C37       string `xorm:"VARCHAR(100)"`
	C38       string `xorm:"VARCHAR(100)"`
	C39       string `xorm:"VARCHAR(100)"`
	C40       string `xorm:"VARCHAR(100)"`
	D1        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D2        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D3        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D4        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D5        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D6        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D7        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D8        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D9        string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D10       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D11       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D12       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D13       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D14       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D15       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D16       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D17       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D18       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D19       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	D20       string `xorm:"default 0.0000 DECIMAL(20,4)"`
	IsSum     string `xorm:"not null default '0' CHAR(1)"`
	T1        string `xorm:"TEXT"`
	T2        string `xorm:"TEXT"`
	T3        string `xorm:"TEXT"`
	T4        string `xorm:"TEXT"`
}

type ZzzBrUiDic struct {
	Id         int       `xorm:"not null pk autoincr INT(10)"`
	CreatedAt  time.Time `xorm:"TIMESTAMP"`
	UpdatedAt  time.Time `xorm:"TIMESTAMP"`
	PluginName string    `xorm:"VARCHAR(100)"`
	En         string    `xorm:"VARCHAR(100)"`
	Ko         string    `xorm:"VARCHAR(100)"`
	Vn         string    `xorm:"VARCHAR(100)"`
	Ch         string    `xorm:"VARCHAR(100)"`
	Jp         string    `xorm:"VARCHAR(100)"`
}

type EthLastSync struct {
	Id        int    `xorm:"not null pk autoincr INT(10)"`
	CreatedOn int64  `xorm:"not null BIGINT(11)"`
	UpdatedOn int64  `xorm:"not null BIGINT(11)"`
	SyncType  string `xorm:"not null VARCHAR(32)"`
	LastNo    string `xorm:"not null default '1' comment('마지막 싱크블록 번호를 넣음') VARCHAR(32)"`
	SyncRange string `xorm:"not null VARCHAR(64)"`
	SyncCnt   int    `xorm:"not null INT(11)"`
}

type EthTokenAdd struct {
	Id           int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	UpdatedOn    int64  `xorm:"default 0 BIGINT(20)"`
	CntrAddr     string `xorm:"VARCHAR(64)"`
	IconImage    string `xorm:"VARCHAR(500)"`
	UnitPoint    int    `xorm:"not null default 0 TINYINT(4)"`
	DecimalPoint int    `xorm:"not null default 0 TINYINT(4)"`
	FeePoint     int    `xorm:"not null default 0 TINYINT(4)"`
	TokenDesc    string `xorm:"TINYTEXT"`
	SiteUrl      string `xorm:"VARCHAR(256)"`
	SnsUrl       string `xorm:"VARCHAR(256)"`
	TokenTracker string `xorm:"VARCHAR(128)"`
	Ip           string `xorm:"VARCHAR(20)"`
}

type EthToken struct {
	Id             int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn      int64  `xorm:"default 0 BIGINT(20)"`
	UpdateOn       int64  `xorm:"not null default 0 BIGINT(20)"`
	CntrAddr       string `xorm:"unique VARCHAR(64)"`
	TokenName      string `xorm:"VARCHAR(20)"`
	WeiDecimals    int    `xorm:"comment('wei단위 적용 소숫점') SMALLINT(10)"`
	CurrBalQty     string `xorm:"comment('현재 잔량') DECIMAL(32)"`
	Symbol         string `xorm:"default '' comment('토큰 심볼') VARCHAR(21)"`
	TotalCirculQty string `xorm:"not null default 0 comment('총공급량') DECIMAL(30)"`
}

type EthTokenHolder struct {
	Id         int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	CntrAddr   string `xorm:"unique(idx_token_holder) VARCHAR(66)"`
	HolderAddr string `xorm:"unique(idx_token_holder) VARCHAR(66)"`
	TotalSum   string `xorm:"DECIMAL(30)"`
	LastSum    string `xorm:"default 0 DECIMAL(30)"`
}

type EthTranxn struct {
	Id         int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn  int64  `xorm:"default 0 BIGINT(20)"`
	BlockNo    int    `xorm:"INT(11)"`
	BlockHash  string `xorm:"VARCHAR(66)"`
	TxnHash    string `xorm:"unique VARCHAR(66)"`
	CntrAddr   string `xorm:"index VARCHAR(66)"`
	FromAddr   string `xorm:"VARCHAR(66)"`
	ToAddr     string `xorm:"VARCHAR(66)"`
	TxnType    string `xorm:"VARCHAR(50)"`
	TxnSymbol  string `xorm:"not null default '' VARCHAR(120)"`
	Value      string `xorm:"default 0 DECIMAL(32)"`
	InputValue string `xorm:"not null default 0 DECIMAL(32)"`
	TxnFee     string `xorm:"default 0.00000000 DECIMAL(16,8)"`
	Input      []byte `xorm:"BLOB"`
	GasUsed    string `xorm:"not null default 0 DECIMAL(11)"`
	Status     int    `xorm:"not null default -1 INT(11)"`
}

type EthTransInter struct {
	Id            int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	BlockNo       int    `xorm:"unique(idx_block_no) INT(11)"`
	BlockHash     string `xorm:"unique(idx_block_no) VARCHAR(68)"`
	ParentTxnHash string `xorm:"unique(idx_block_no) VARCHAR(66)"`
	CntrAddr      string `xorm:"VARCHAR(66)"`
	TxnHash       string `xorm:"index VARCHAR(66)"`
	FromAddr      string `xorm:"VARCHAR(66)"`
	ToAddr        string `xorm:"VARCHAR(66)"`
	TxnType       string `xorm:"VARCHAR(50)"`
	Value         string `xorm:"default 0 DECIMAL(32)"`
	GasUsed       string `xorm:"default 0 DECIMAL(32)"`
	Gas           string `xorm:"default 0 DECIMAL(32)"`
	Input         []byte `xorm:"BLOB"`
	Err           string `xorm:"default '' VARCHAR(500)"`
	Status        int    `xorm:"default 0 INT(11)"`
}

type EthTxnTransfer struct {
	Id          int64  `xorm:"pk autoincr BIGINT(20)"`
	BlockNo     int64  `xorm:"default 0 BIGINT(20)"`
	BlockHash   string `xorm:"VARCHAR(66)"`
	TxnHash     string `xorm:"default '' unique(txn_idx) VARCHAR(66)"`
	TxIndex     int    `xorm:"default 0 unique(txn_idx) INT(11)"`
	Index       int    `xorm:"default 0 unique(txn_idx) INT(11)"`
	FromAddr    string `xorm:"default '' VARCHAR(66)"`
	ToAddr      string `xorm:"default '' VARCHAR(66)"`
	InputValue  string `xorm:"default 0 DECIMAL(32)"`
	Topic       []byte `xorm:"BLOB"`
	Removed     int    `xorm:"default 0 SMALLINT(6)"`
	CntrAddr    string `xorm:"VARCHAR(64)"`
	LogCntrAddr string `xorm:"VARCHAR(64)"`
}

type EthUncleBlock struct {
	Id            int    `xorm:"not null pk autoincr INT(11)"`
	CreatedOn     int64  `xorm:"default 0 BIGINT(20)"`
	BlockNo       int    `xorm:"default 0 index(idx_block_no) INT(11)"`
	BlockHash     string `xorm:"index(idx_block_no) VARCHAR(68)"`
	UncleNo       int    `xorm:"default 0 unique(idx_uncle_no) INT(11)"`
	UncleHash     string `xorm:"unique(idx_uncle_no) VARCHAR(68)"`
	UnclePosition int    `xorm:"default 0 INT(11)"`
	Miner         string `xorm:"VARCHAR(50)"`
	GasUsed       string `xorm:"DECIMAL(11)"`
	GasLimit      string `xorm:"DECIMAL(11)"`
	UncleReward   string `xorm:"default 0 DECIMAL(32)"`
}
