// Author : Eric Kim
// Build Date : 23 Jul 2008  Last Update 02 Aug 2008
// End-Agent for Passcon Multi OS go binding with Windows, MacOS, iOS, and Android
// All rights are reserved.

package locals

type DummyReq struct {
}

type IsMymenuSetReq struct {
	TableCode string
	MenuId    int
	IsMymenu  string
}

type MemberAuthCom struct {
	ActivateCode string
	SsoBrand     string
	SsoSub       string

	Email      string
	Password   string
	FirstName  string
	SurName    string
	MobileNo   string
	TelNo      string
	SgroupId   int
	SgroupCode string

	Sort string // '1'의 경우 기업고객

	CompanyName  string
	CompanyClass string // 'BB'로 넣을  것것
	FullName     string
	TaxNo        string
	President    string
	ZipCode      string
	Addr1        string
	Addr2        string
	BizType      string
	DealItem     string
	CertImg      string
	CompanyJson  string
}

type UserAuthCom struct {
	ActivateCode string
	SsoBrand     string
	SsoSub       string

	Email     string
	Password  string
	FirstName string
	SurName   string
	MobileNo  string
}

// type LoginReq struct {
// 	Email    string
// 	Password string
// }

// type SsoLoginReq struct {
// 	Email    string
// 	SsoBrand string
// 	SsoSub   string
// }

type SetupRowReq struct {
	SetupCode string
	BrandCode string
}

type TextVars struct {
	Email         string
	Encrypted     string
	BrandCode     string
	TemplateCode  string
	Sender        string
	ReservedTime  string
	TemplateTitle string
	TemplateText  string
	UniqueImage   string
}

type TextPageBase struct {
	ReplaceVars []ReplaceBase
}

type ReplaceBase struct {
	VarName  string
	VarValue string
}
